<?php

namespace App\Console\Commands;

use App\Models\GoogleUser;
use Carbon\Carbon;
use Illuminate\Console\Command;

class ResetMailsSentInADay extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'mails:reset';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Reset the mails_sent_in_a_day column for GoogleUser records';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        $resetThreshold = Carbon::now()->subHours(23);

        GoogleUser::where('updated_at', '<=', $resetThreshold)
            ->where('updated_at', '>', $resetThreshold->subMinute())
            ->update(['mails_sent_in_a_day' => 0]);

        $this->info('mails_sent_in_a_day column reset successfully.');
    }
}
