<?php

namespace App\Http\Controllers;

use App\Models\EmailTemplate;
use Illuminate\Http\Request;

class EmailTemplateController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index(Request $request, int $userId)
    {
        //
        $response =  EmailTemplate::where(
            'user_id',
            $userId,
        )->first();
        $data = isset($response) ? $response->toArray() : [];
        return response()->json($data, 200);
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create(Request $request)
    {
        $request->validate([
            'content' => 'required|string',
        ]);

        // Temp creat or update query just for 1 tempate for the loggged in user if need mutiple tempalte for 1 user remove updateOrCreate and use just create
        $response =  EmailTemplate::updateOrCreate(
            ['user_id' => $request->user()->id], // Attributes to search for
            [
                'content' => $request->content
            ] // Attributes to update or create
        );


        $data = isset($response) ? $response->toArray() : [];
        return response()->json($data, 200);
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(EmailTemplate $emailTemplate)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(EmailTemplate $emailTemplate)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, EmailTemplate $emailTemplate)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(EmailTemplate $emailTemplate)
    {
        //
    }
}
