<?php

namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Http\Request;
use Laravel\Socialite\Facades\Socialite;
use Illuminate\Support\Facades\Auth;
use Google_Client;

class ExternalLoginController extends Controller
{
    public function socialLogin(Request $request)
    {
        try {
            $provider = "google"; // naam lowercase facebook, google
            // $token = $request->input('access_token'); // access token jo bhi ho
            // $providerUser = Socialite::driver($provider)->userFromToken($token);
            $providerUser = Socialite::driver( $provider)->user();

            $user = User::where('provider_name', $provider)->where('provider_id', $providerUser->id)->first();

            if ($user == null) {
                $user = User::create([
                    'provider_name' => $provider,
                    'provider_id'   => $providerUser->id,
                    'name'          => $providerUser->getName(),
                    'email'         => $providerUser->getEmail(),
                    'token'         => $providerUser->token,
                    'refresh_token' => $providerUser->refreshToken,
                    'expires_in'    => $providerUser->expiresIn,
                    'avatar'        => $providerUser->getAvatar(),
                    "user_type" => 1 // Normal user
                ]);
            }

            $token = $user->createToken(env('APP_NAME'))->accessToken;
            $redirectUrl = env("APP_URL")."/login?token=".$token;

            return redirect($redirectUrl);

            // token, user, success
            return response()->json([
                'success'   => true,
                'token'     => $token,
                'user'      => $user
            ]);
        } catch (\Exception $e) {
            return response()->json([
                'success' => false,
                'message' => $e->getMessage()
            ], 500);
        }
    }
    public function socialLoginRedirect()
    {
        return Socialite::driver('google')->redirect();
    }
}
