<?php

namespace App\Http\Controllers\Google;

use App\Http\Controllers\Controller;
use App\Models\GoogleUser;
use Illuminate\Http\Request;
use App\Traits\PaginateTrait;

class GoogleUserController extends Controller
{
    use PaginateTrait;

    public function getUsers(Request $request)
    {
        $fields = [];
        $input = $request->all();
        $this->setDefaultPaginationValues(input: $input);
        $data = $this->pagingatedUserList();

        return response()->json($data);
    }

    public function pagingatedUserList()
    {
        $query =  GoogleUser::select();
        if (isset($this->searchFilter) && !empty($this->searchFilter)) {
            $query->where('name', 'like', '%' . $this->searchFilter . '%')
                ->orWhere('email', 'like', '%' . $this->searchFilter . '%');
        }

        if (isset($this->sortingColumns) && is_array($this->sortingColumns) && count($this->sortingColumns) > 1 && (!empty($this->sortingColumns[0]) && !empty($this->sortingColumns[1]))) {
            $query->orderBy($this->sortingColumns[0], $this->sortingColumns[1]);
        }

        $data = $query->paginate($this->perPage, NULL, NULL, $this->page);

        return isset($data) ? $data->toArray() : [];
    }
}
