<?php

namespace App\Http\Controllers;

use App\Models\UserLinkedGoogleInbox;
use App\Traits\PaginateTrait;
use Illuminate\Http\Request;

class UserLinkedGoogleInboxController extends Controller
{
    use PaginateTrait;

    /**
     * Display a listing of the resource.
     */
    public function index(Request $request)
    {
        $input = $request->all();

        $this->setDefaultPaginationValues(input: $input);
        $data = $this->paginatedData();

        return response()->json($data);
    }

    private function paginatedData()
    {
        $query =  UserLinkedGoogleInbox::select();
        if (isset($this->searchFilter) && !empty($this->searchFilter)) {
            $query->where('subject', 'like', '%' . $this->searchFilter . '%');
        }

        if (isset($this->sortingColumns) && is_array($this->sortingColumns) && count($this->sortingColumns) > 1 && (!empty($this->sortingColumns[0]) && !empty($this->sortingColumns[1]))) {
            $query->orderBy($this->sortingColumns[0], $this->sortingColumns[1]);
        }

        $data = $query->paginate($this->perPage, NULL, NULL, $this->page);

        return isset($data) ? $data->toArray() : [];
    }
    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(UserLinkedGoogleInbox $UserLinkedGoogleInbox)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(UserLinkedGoogleInbox $UserLinkedGoogleInbox)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, UserLinkedGoogleInbox $UserLinkedGoogleInbox)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(UserLinkedGoogleInbox $UserLinkedGoogleInbox)
    {
        //
    }
}
