<?php
// app/Http/Middleware/CheckUsageMiddleware.php
namespace App\Http\Middleware;

use Closure;
use App\Services\SubscriptionService;

class CheckUsageMiddleware
{
    protected $subscriptionService;

    public function __construct(SubscriptionService $subscriptionService)
    {
        $this->subscriptionService = $subscriptionService;
    }

    public function handle($request, Closure $next)
    {
        $user = $request->user();

        try {
            $this->subscriptionService->trackUsage($user);
        } catch (\Exception $e) {
            return response()->json(['error' => $e->getMessage()], 403);
        }

        return $next($request);
    }
}


?>
