<?php

namespace App\Jobs\Gmail;

use App\Services\GmailService;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;

class SendEmailJob implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    private $emails;
    private $emailBody;
    private $accessToken;

    /**
     * Create a new job instance.
     */
    public function __construct($emails, $emailBody, $accessToken)
    {
        //
        $this->emails = $emails;
        $this->emailBody = $emailBody;
        $this->accessToken = $accessToken;

    }

    /**
     * Execute the job.
     */
    public function handle(): void
    {
        //
        $gmailService = new GmailService($this->accessToken);
        $gmailService->sendEmail($this->emails, $this->emailBody);
    }
}
