<?php

namespace App\Jobs\Gmail;

use App\Http\Controllers\Google\GoogleLoginController;
use App\Models\GoogleUser;
use App\Models\UserLinkedGoogleAccounts;
use App\Models\VerifiedEmail;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Log\Logger;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Http;

class SyncLinkedUserGmailClient implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;


    /**
     * Create a new job instance.
     */
    public function __construct()
    {
        //
    }

    /**
     * Execute the job.
     */
    public function handle(): void
    {


        $accounts = UserLinkedGoogleAccounts::get();
        if (isset($accounts) && !empty($accounts)) {
            foreach ($accounts as $account) {
                SyncLinkedUserGmailClientUser::dispatch($account);
            }
        }
    }
}
