<?php

namespace App\Jobs;

use App\Http\Controllers\Google\GoogleLoginController;
use App\Models\VerifiedEmail;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;

class ProcessSendEmail implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    private $googleUser;
    private $emailBatch;
    /**
     * Create a new job instance.
     */
    public function __construct($googleUser, $emailBatch)
    {
        $this->googleUser = $googleUser;
        $this->emailBatch = $emailBatch;
        //
    }

    /**
     * Execute the job.
     */
    public function handle(): void
    {
        //
        Log::debug("Sending Email....");
        SendEmail::dispatch($this->googleUser, $this->emailBatch)->delay(now()->addSeconds(30));


    }
}
