<?php

namespace App\Jobs;

use App\Http\Controllers\Google\GoogleLoginController;
use App\Models\VerifiedEmail;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;

class SendEmail implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    private $emailBatch;
    private $googleUser;
    /**
     * Create a new job instance.
     */
    public function __construct($googleUser, $emailBatch)
    {
        $this->googleUser = $googleUser;
        $this->emailBatch = $emailBatch;
        //
    }

    /**
     * Execute the job.
     */
    public function handle(): void
    {
        //
        Log::debug("Send email googl user ", [$this->googleUser]);
        $googleController = new GoogleLoginController();
        $googleAccessToken = $googleController->checkAccessTokenExpirationAndRefreshIfNeeded($this->googleUser->google_token, $this->googleUser->refresh_token, $this->googleUser);

        $googleController->sendEmail($googleAccessToken, $this->emailBatch);

    }
}
