<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

// app/Models/Plan.php
class Plan extends Model
{
    use HasFactory;

    protected $fillable = ['name', 'price', 'cost_per_credit'];

    public function features()
    {
        return $this->belongsToMany(Feature::class)->withPivot('value');
    }

    public function subscriptions()
    {
        return $this->hasMany(Subscription::class);
    }
}

