<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ProductPlan extends Model
{
    protected $primaryKey = 'product_plan_id';
    public $incrementing = true;
    protected $keyType = 'int';
    protected $guarded = [];

    use HasFactory;

    public function product()
    {
        return $this->hasOne(Product::class,'product_id','product_id');
    }

    public function product_plan_features()
    {
        return $this->hasMany(ProductPlanFeature::class,'product_plan_id','product_plan_id');
    }

    public function children()
    {
        return $this->hasMany(ProductPlan::class, 'parent_id', 'product_plan_id');
    }
}
