<?php

namespace App\Services;

use Google_Client;
use Illuminate\Support\Facades\Log;
use Google_Service;
use Google_Service_Gmail;
use Google_Service_Oauth2;
use Google_Service_Gmail_Message;
use Google_Service_Gmail_MessagePart;
use Google_Service_Gmail_MessagePayload;
use Google_Service_Gmail_MessagePartHeader;
use Google\Service\Gmail;
use Google\Service\Gmail\Message;
use Google\Service\Gmail\MessagePartHeader;

class OAuthService
{

    private $clientId;
    private $clientSecret;
    private $redirectUri;

    private $accessToken;
    private $refreshToken;


    // Getter for clientId
    public function getClientId()
    {
        return $this->clientId;
    }

    // Setter for clientId
    public function setClientId($clientId)
    {
        $this->clientId = $clientId;
    }

    // Getter for clientSecret
    public function getClientSecret()
    {
        return $this->clientSecret;
    }

    // Setter for clientSecret
    public function setClientSecret($clientSecret)
    {
        $this->clientSecret = $clientSecret;
    }

    // Getter for redirectUri
    public function getRedirectUri()
    {
        return $this->redirectUri;
    }

    // Setter for redirectUri
    public function setRedirectUri($redirectUri)
    {
        $this->redirectUri = $redirectUri;
    }

    // Getter for accessToken
    public function getAccessToken()
    {
        return $this->accessToken;
    }

    // Setter for accessToken
    public function setAccessToken($accessToken)
    {
        $this->accessToken = $accessToken;
    }

    // Getter for refreshToken
    public function getRefreshToken()
    {
        return $this->refreshToken;
    }

    // Setter for refreshToken
    public function setRefreshToken($refreshToken)
    {
        $this->refreshToken = $refreshToken;
    }

    public function checkAccessTokenExpirationAndRefreshIfNeeded()
    {
        $client = new Google_Client();
        $client->setClientId($this->clientId);
        $client->setClientSecret($this->clientSecret);
        $client->setRedirectUri($this->redirectUri);
        $client->setAccessType('offline');
        $client->setAccessToken($this->accessToken);

        // Check if the access token is expired
        if ($client->isAccessTokenExpired()) {
            // Set the refresh token
            $client->refreshToken($this->refreshToken);
            // Get the new access token
            $newAccessToken = $client->getAccessToken();
            $this->accessToken = $newAccessToken['access_token'];
            return $newAccessToken['access_token'];
        }

        // Access token is still valid, no need to refresh
        return $this->accessToken;
    }
}
