<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('cities', function (Blueprint $table) {
            $table->bigIncrements('city_id')->unique();
            $table->string('name');
            $table->string('short_code');
            $table->timestamps();
        });

        Schema::create('terminals', function (Blueprint $table) {
            $table->bigIncrements('terminal_id')->unique();

            $table->unsignedBigInteger('city_id');
            $table->foreign('city_id')->references('city_id')->on('cities');

            $table->string('name');
            $table->float('latitude')->nullable();
            $table->float('longitude')->nullable();
            $table->string('address')->nullable();
            $table->string('short_code');
            $table->string('city_code');
            $table->string('city');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('terminals');
        Schema::dropIfExists('cities');
    }
};
