<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('google_users', function (Blueprint $table) {
            // $table->id();
            $table->bigIncrements('google_user_id')->unique();

            $table->integer('user_id');

            $table->string('google_id');
            $table->string('google_email');
            $table->string('google_name');
            $table->string('auth_code');

            $table->longText('google_picture')->nullable();
            $table->longText('google_token');
            $table->integer('google_token_expires_in');
            $table->json('meta_data')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('google_users');
    }
};
