<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        //
        Schema::table('verified_emails', function (Blueprint $table) {
            // Add result column
            $table->string('result')->nullable()->after('status');

            // Add is_sent column
            $table->integer('is_sent')->default(0)->comment('0:Not Sent Email , 1: Sent Email')->after('result');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
        Schema::table('verified_emails', function (Blueprint $table) {
            // Drop the columns if the migration is rolled back
            $table->dropColumn('result');
            $table->dropColumn('is_sent');
        });
    }
};
