<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        //
        Schema::table('verified_emails', function (Blueprint $table) {
            $table->timestamp('sent_at')->after('is_sent')->nullable();
            $table->string('email_inbox_checking_status')->after('sent_at')->default('PENDING');
            $table->longText('row_data')->after('email_inbox_checking_status')->nullable();
            $table->integer('email_column_index')->after('row_data')->nullable();

        });

    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
        Schema::table('verified_emails', function (Blueprint $table) {
            $table->dropColumn('email_inbox_checking_status');
            $table->dropColumn('sent_at');
            $table->dropColumn('row_data');
            $table->dropColumn('email_column_index');

        });

    }
};
