<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        //
        Schema::create('sync_mail_results', function (Blueprint $table) {
            $table->bigIncrements('sync_mail_result_id')->unique();

            $table->integer('google_user_id');
            $table->integer('history_id')->nullable();
            $table->integer('message_id')->nullable();
            $table->integer('thread_id')->nullable();

            $table->string('result_email');
            $table->string('result')->comment('BOUNCED, AUTO_REPLY');
            $table->string('result_text')->nullable();


            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
        Schema::dropIfExists('sync_mail_results');

    }
};
