<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('usage', function (Blueprint $table) {
            $table->dropForeign(['user_id']);
        });

        Schema::table('subscriptions', function (Blueprint $table) {
            $table->dropForeign(['user_id']);
            $table->dropForeign(['plan_id']);
        });

        Schema::table('plan_features', function (Blueprint $table) {
            $table->dropForeign(['plan_id']);
            $table->dropForeign(['feature_id']);
        });

        Schema::dropIfExists('plans');
        Schema::dropIfExists('plan_features');
        Schema::dropIfExists('features');
        Schema::dropIfExists('subscriptions');
        Schema::dropIfExists('usage');
    }


    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
    }
};
