<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('product_plans', function (Blueprint $table) {
            $table->bigIncrements('product_plan_id')->unique();
            $table->integer('product_id');
            $table->integer('parent_id')->nullable();
            $table->string('title');
            $table->integer('no_of_credits');
            $table->decimal('price', 64, 8);
            $table->integer('validity_number');
            $table->string('validity_type')->comment("DAILY, MONTHLY, WEEKLY, YEARLY");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('product_plans');
    }
};
