<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('enrichments', function (Blueprint $table) {
            $table->bigIncrements('enrichment_id');
            $table->string('linkedin_csv');
            $table->string('company_csv');
            $table->string('enrichment_type');
            $table->unsignedBigInteger('user_id');
            $table->string('status')->default('PENDING');
            $table->timestamps();

            // Foreign key constraint
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('enrichments');
    }
};
