<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('custom_lead_requests', function (Blueprint $table) {
            $table->bigIncrements('lead_request_id');
            $table->string('first_name')->nullable();
            $table->string('last_name')->nullable();
            $table->string('linkedin_url')->nullable();
            $table->string('company_name')->nullable();
            $table->string('industry')->nullable();
            $table->string('website_url')->nullable();
            $table->string('country')->nullable();
            $table->string('city')->nullable();
            $table->string('state')->nullable();
            $table->string('zip_code')->nullable();
            $table->string('employee_size')->nullable();
            $table->string('job_title')->nullable();
            $table->text('job_description')->nullable();
            $table->string('contact_location')->nullable();
            $table->string('csv_file')->nullable(); // Assuming this stores the path or name of the uploaded CSV file
            $table->unsignedBigInteger('user_id');
            $table->string('status')->default('PENDING'); // Default status
            $table->timestamps();

            // Define foreign key constraint
            $table->foreign('user_id')->references('id')->on('users');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('custom_lead_requests');
    }
};
