<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('enrichment_responses', function (Blueprint $table) {
            $table->bigIncrements('enrichment_response_id');
            $table->unsignedBigInteger('enrichment_id');
            $table->string('csv_file')->nullable(); // Assuming this stores the path or name of the uploaded CSV file
            $table->foreign('enrichment_id')->references('enrichment_id')->on('enrichments');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('enrichment_responses');
    }
};
