<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('user_linked_google_accounts', function (Blueprint $table) {
            $table->bigIncrements('user_linked_google_account_id');

            $table->string('access_token');
            $table->string('refresh_token');
            $table->string('email');

            $table->json('meta_data')->nullable();
            $table->unsignedBigInteger('user_id');

            $table->foreign('user_id')->references('id')->on('users');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('user_linked_google_accounts');
    }
};
