<?php

use App\Http\Controllers\ExternalLoginController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Google\GoogleLoginController;
use App\Http\Controllers\UserLinkedGoogleAccountsController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});
Route::get('/google/user/redirect', [UserLinkedGoogleAccountsController::class, 'redirectToGoogleNew'])->name('google.redirect');
Route::get('/google/user/callback', [UserLinkedGoogleAccountsController::class, 'handleGoogleCallback'])->name('google.callback');

Route::get('/google/redirect', [GoogleLoginController::class, 'redirectToGoogleNew'])->name('google.redirect');
Route::get('/google/callback', [GoogleLoginController::class, 'handleGoogleCallback'])->name('google.callback');


Route::get('/social/login/response', [ExternalLoginController::class, 'socialLogin']);
Route::get('/social/login/redirect', [ExternalLoginController::class, 'socialLoginRedirect']);



