<?php

namespace Database\Seeders;

use App\Models\City;
use App\Models\Terminals;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class CitiesTerminalSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */

    public $data =
    "[\n    {\n      \"id\": 57,\n      \"name\": \"Rikhi (رِکھی)\",\n      \"short_code\": \"RKI\",\n      \"terminals\": [\n        {\n          \"id\": 160,\n          \"name\": \"Rikhi\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": null,\n          \"short_code\": \"RKI\",\n          \"city_code\": \"RKI\",\n          \"city\": \"Rikhi (رِکھی)\"\n        }\n      ]\n    },\n    {\n      \"id\": 58,\n      \"name\": \"Pano Aqil (پنو عاقل)\",\n      \"short_code\": \"PNQ\",\n      \"terminals\": [\n        {\n          \"id\": 161,\n          \"name\": \"Pano Aqil\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": null,\n          \"short_code\": \"PNQ\",\n          \"city_code\": \"PNQ\",\n          \"city\": \"Pano Aqil (پنو عاقل)\"\n        }\n      ]\n    },\n    {\n      \"id\": 59,\n      \"name\": \"Madeji (میڈی جی)\",\n      \"short_code\": \"MDJ\",\n      \"terminals\": [\n        {\n          \"id\": 162,\n          \"name\": \"Madeji\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": null,\n          \"short_code\": \"MDJ\",\n          \"city_code\": \"MDJ\",\n          \"city\": \"Madeji (میڈی جی)\"\n        }\n      ]\n    },\n    {\n      \"id\": 72,\n      \"name\": \"Chowk Qureshi (چوک قریشی)\",\n      \"short_code\": \"CHQ\",\n      \"terminals\": [\n        {\n          \"id\": 182,\n          \"name\": \"Chowk Qureshi\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Chowk Qureshi, Khanewal, Punjab\",\n          \"short_code\": \"CHQ\",\n          \"city_code\": \"CHQ\",\n          \"city\": \"Chowk Qureshi (چوک قریشی)\"\n        }\n      ]\n    },\n    {\n      \"id\": 60,\n      \"name\": \"Abdul Hakim (عبد الحکیم)\",\n      \"short_code\": \"ADH\",\n      \"terminals\": [\n        {\n          \"id\": 166,\n          \"name\": \"Abdul Hakim\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Abdul Hakim, Khanewal, Punjab\",\n          \"short_code\": \"ADH\",\n          \"city_code\": \"ADH\",\n          \"city\": \"Abdul Hakim (عبد الحکیم)\"\n        }\n      ]\n    },\n    {\n      \"id\": 61,\n      \"name\": \"Rajanpur (راجن پُور)\",\n      \"short_code\": \"RJP\",\n      \"terminals\": [\n        {\n          \"id\": 167,\n          \"name\": \"Rajanpur\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Rajanpur\",\n          \"short_code\": \"RJP\",\n          \"city_code\": \"RJP\",\n          \"city\": \"Rajanpur (راجن پُور)\"\n        }\n      ]\n    },\n    {\n      \"id\": 62,\n      \"name\": \"Kot Addu (كوٹ ادُّو‎)\",\n      \"short_code\": \"KTU\",\n      \"terminals\": [\n        {\n          \"id\": 169,\n          \"name\": \"Kot Addu\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Ward Number 14E Kot Addu, Muzaffargarh\",\n          \"short_code\": \"KTU\",\n          \"city_code\": \"KTU\",\n          \"city\": \"Kot Addu (كوٹ ادُّو‎)\"\n        }\n      ]\n    },\n    {\n      \"id\": 63,\n      \"name\": \"Taunsa Sharif (تونسه شريف)\",\n      \"short_code\": \"TUA\",\n      \"terminals\": [\n        {\n          \"id\": 170,\n          \"name\": \"Taunsa Sharif\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Taunsa Sharif\",\n          \"short_code\": \"TUA\",\n          \"city_code\": \"TUA\",\n          \"city\": \"Taunsa Sharif (تونسه شريف)\"\n        },\n        {\n          \"id\": 236,\n          \"name\": \"Mangrotha Chowrangi Taunsa\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Taunsa Shareef Mangrotha Chowrangi\",\n          \"short_code\": \"TUA-GBS\",\n          \"city_code\": \"TUA\",\n          \"city\": \"Taunsa Sharif (تونسه شريف)\"\n        }\n      ]\n    },\n    {\n      \"id\": 64,\n      \"name\": \"Jatoi (جتوئ)\",\n      \"short_code\": \"JOT\",\n      \"terminals\": [\n        {\n          \"id\": 188,\n          \"name\": \"Saddar Jatoi\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Main Saddar markaz, Jatoi\",\n          \"short_code\": \"JOT-SAD\",\n          \"city_code\": \"JOT\",\n          \"city\": \"Jatoi (جتوئ)\"\n        },\n        {\n          \"id\": 171,\n          \"name\": \"Jatoi\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Indus Hotel & Restaurant Near Commissioner House Alipur,Waseb Hotel\",\n          \"short_code\": \"JOT\",\n          \"city_code\": \"JOT\",\n          \"city\": \"Jatoi (جتوئ)\"\n        }\n      ]\n    },\n    {\n      \"id\": 65,\n      \"name\": \"Alipur (علي پور)\",\n      \"short_code\": \"AIP\",\n      \"terminals\": [\n        {\n          \"id\": 172,\n          \"name\": \"Alipur\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Alipur, Muzaffargarh, Punjab\",\n          \"short_code\": \"AIP\",\n          \"city_code\": \"AIP\",\n          \"city\": \"Alipur (علي پور)\"\n        }\n      ]\n    },\n    {\n      \"id\": 67,\n      \"name\": \"Quetta (کوئٹہ‎)\",\n      \"short_code\": \"QTA\",\n      \"terminals\": [\n        {\n          \"id\": 175,\n          \"name\": \"Quetta Faisal Mover Terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Quetta, Balochistan.\",\n          \"short_code\": \"QTA-FM\",\n          \"city_code\": \"QTA\",\n          \"city\": \"Quetta (کوئٹہ‎)\"\n        },\n        {\n          \"id\": 207,\n          \"name\": \"Sadabahar Terminal Quetta\",\n          \"latitude\": 30.177835933485085,\n          \"longitude\": 66.99378552883536,\n          \"address\": \"Sadabahar Terminal, Sariyab Road\",\n          \"short_code\": \"QTA-SDB\",\n          \"city_code\": \"QTA\",\n          \"city\": \"Quetta (کوئٹہ‎)\"\n        },\n        {\n          \"id\": 232,\n          \"name\": \"Quetta\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Jabal e Noor Bus Stop\",\n          \"short_code\": \"QTA-JN\",\n          \"city_code\": \"QTA\",\n          \"city\": \"Quetta (کوئٹہ‎)\"\n        },\n        {\n          \"id\": 252,\n          \"name\": \"Al Imdad Quetta Jable noor adda\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Spinny Road, Quetta, Balochistan, Pakistan\",\n          \"short_code\": \"QTA-AI\",\n          \"city_code\": \"QTA\",\n          \"city\": \"Quetta (کوئٹہ‎)\"\n        }\n      ]\n    },\n    {\n      \"id\": 68,\n      \"name\": \"Sanawan (سناواں)\",\n      \"short_code\": \"SNN\",\n      \"terminals\": [\n        {\n          \"id\": 176,\n          \"name\": \"Sanawan Terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Sanawan\",\n          \"short_code\": \"SNN\",\n          \"city_code\": \"SNN\",\n          \"city\": \"Sanawan (سناواں)\"\n        }\n      ]\n    },\n    {\n      \"id\": 69,\n      \"name\": \"Layyah (لیہ)\",\n      \"short_code\": \"LYH\",\n      \"terminals\": [\n        {\n          \"id\": 177,\n          \"name\": \"Layyah\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Faiz Chowk, Near PSO Petrol Pump\",\n          \"short_code\": \"LYH-FM\",\n          \"city_code\": \"LYH\",\n          \"city\": \"Layyah (لیہ)\"\n        },\n        {\n          \"id\": 294,\n          \"name\": \"Mahar basheer movers terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Bypass Mahar basheer movers D class\",\n          \"short_code\": \"LYH-BYP\",\n          \"city_code\": \"LYH\",\n          \"city\": \"Layyah (لیہ)\"\n        },\n        {\n          \"id\": 223,\n          \"name\": \"General Bus Stand Layyah\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Lari Adda Balcoh Transport\",\n          \"short_code\": \"LYH-GBS\",\n          \"city_code\": \"LYH\",\n          \"city\": \"Layyah (لیہ)\"\n        }\n      ]\n    },\n    {\n      \"id\": 70,\n      \"name\": \"Shahkot (شاہكوٹ)\",\n      \"short_code\": \"SHT\",\n      \"terminals\": [\n        {\n          \"id\": 179,\n          \"name\": \"Shahkot\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Faisalabad Road, Shahkot\",\n          \"short_code\": \"SHT\",\n          \"city_code\": \"SHT\",\n          \"city\": \"Shahkot (شاہكوٹ)\"\n        }\n      ]\n    },\n    {\n      \"id\": 71,\n      \"name\": \"Mansehra (مانسہرہ)\",\n      \"short_code\": \"MHA\",\n      \"terminals\": [\n        {\n          \"id\": 180,\n          \"name\": \"Mansehra\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Mansehra, Khyber Pakhtunkhwa\",\n          \"short_code\": \"MHA\",\n          \"city_code\": \"MHA\",\n          \"city\": \"Mansehra (مانسہرہ)\"\n        },\n        {\n          \"id\": 225,\n          \"name\": \"General Bus Stand Mansehra\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Mansehra Lari Adda Near Dubai Hotel\",\n          \"short_code\": \"MHA-GBS\",\n          \"city_code\": \"MHA\",\n          \"city\": \"Mansehra (مانسہرہ)\"\n        },\n        {\n          \"id\": 249,\n          \"name\": \"Hazara Mover Terminal Mansehra\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Hazara Mover Terminal Lari Adda Road Mansehra\",\n          \"short_code\": \"MHA-HM\",\n          \"city_code\": \"MHA\",\n          \"city\": \"Mansehra (مانسہرہ)\"\n        }\n      ]\n    },\n    {\n      \"id\": 73,\n      \"name\": \"Haroonabad (ہارون آباد)\",\n      \"short_code\": \"HAR\",\n      \"terminals\": [\n        {\n          \"id\": 187,\n          \"name\": \"Rohri Haroonabad\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Rohri Main Station, Haroonabad\",\n          \"short_code\": \"HAR-RHR\",\n          \"city_code\": \"HAR\",\n          \"city\": \"Haroonabad (ہارون آباد)\"\n        },\n        {\n          \"id\": 192,\n          \"name\": \"Saddar Haroonabad Bus Stop\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Main Haroonabad Bus Stop Saddar\",\n          \"short_code\": \"HAR-SAD\",\n          \"city_code\": \"HAR\",\n          \"city\": \"Haroonabad (ہارون آباد)\"\n        },\n        {\n          \"id\": 209,\n          \"name\": \"Ideal Flying Coach Haroonabad\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Ideal Flying Coach Pickup Point\",\n          \"short_code\": \"HAR-IFC\",\n          \"city_code\": \"HAR\",\n          \"city\": \"Haroonabad (ہارون آباد)\"\n        },\n        {\n          \"id\": 217,\n          \"name\": \"Haroonabad\",\n          \"latitude\": 29.619679169254788,\n          \"longitude\": 73.14028031534144,\n          \"address\": \"Ideal Flying Coach Pickup Point\",\n          \"short_code\": \"HAR-MAKKA\",\n          \"city_code\": \"HAR\",\n          \"city\": \"Haroonabad (ہارون آباد)\"\n        }\n      ]\n    },\n    {\n      \"id\": 74,\n      \"name\": \"Gawadar (گوادر)\",\n      \"short_code\": \"GWD\",\n      \"terminals\": [\n        {\n          \"id\": 190,\n          \"name\": \"Al Mumtaz Terminal Gawadar\",\n          \"latitude\": 25.131878259598132,\n          \"longitude\": 62.32508437116464,\n          \"address\": \"Al Mumtaz Coach Service Main Syed Hashmi Road\",\n          \"short_code\": \"GWD-AM\",\n          \"city_code\": \"GWD\",\n          \"city\": \"Gawadar (گوادر)\"\n        }\n      ]\n    },\n    {\n      \"id\": 75,\n      \"name\": \"Muzzafarabad (مُظَفَّر آباد)\",\n      \"short_code\": \"MZB\",\n      \"terminals\": [\n        {\n          \"id\": 198,\n          \"name\": \"Bela Noor Shah Muzaffarabad\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Bus Adda, Bela Noor Shah Road\",\n          \"short_code\": \"MZB-BELA\",\n          \"city_code\": \"MZB\",\n          \"city\": \"Muzzafarabad (مُظَفَّر آباد)\"\n        }\n      ]\n    },\n    {\n      \"id\": 77,\n      \"name\": \"Ormara (اورماڑا)\",\n      \"short_code\": \"ORW\",\n      \"terminals\": [\n        {\n          \"id\": 201,\n          \"name\": \"Ormara\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Al Mumtaz Restaurant Near Zero Point\",\n          \"short_code\": \"ORW-AM\",\n          \"city_code\": \"ORW\",\n          \"city\": \"Ormara (اورماڑا)\"\n        }\n      ]\n    },\n    {\n      \"id\": 78,\n      \"name\": \"Turbat (تربت)\",\n      \"short_code\": \"TUR\",\n      \"terminals\": [\n        {\n          \"id\": 218,\n          \"name\": \"Al Mumtaz Coach Turbat Stop\",\n          \"latitude\": 25.975495557841263,\n          \"longitude\": 63.057885552771275,\n          \"address\": \"CPEC Terminal Near Turbat Pasni Road\",\n          \"short_code\": \"TUR-AM\",\n          \"city_code\": \"TUR\",\n          \"city\": \"Turbat (تربت)\"\n        }\n      ]\n    },\n    {\n      \"id\": 79,\n      \"name\": \"Shikarpur (شکارپور)\",\n      \"short_code\": \"SKP\",\n      \"terminals\": [\n        {\n          \"id\": 202,\n          \"name\": \"Shikarpur\",\n          \"latitude\": 27.949550290513333,\n          \"longitude\": 68.63498382329281,\n          \"address\": \"Lucky Star Last Stop\",\n          \"short_code\": \"SKP-LKD\",\n          \"city_code\": \"SKP\",\n          \"city\": \"Shikarpur (شکارپور)\"\n        }\n      ]\n    },\n    {\n      \"id\": 76,\n      \"name\": \"Gabd, Rimdan Border (رمدان بارڈر)\",\n      \"short_code\": \"GBD\",\n      \"terminals\": [\n        {\n          \"id\": 195,\n          \"name\": \"Rimdan Border\",\n          \"latitude\": 25.381438106940184,\n          \"longitude\": 61.676746284189726,\n          \"address\": \"Main Rimdan Border, Gabd Balochistan\",\n          \"short_code\": \"GBD-RB\",\n          \"city_code\": \"GBD\",\n          \"city\": \"Gabd, Rimdan Border (رمدان بارڈر)\"\n        }\n      ]\n    },\n    {\n      \"id\": 80,\n      \"name\": \"Panjgur (پنجگور)\",\n      \"short_code\": \"PJG\",\n      \"terminals\": [\n        {\n          \"id\": 205,\n          \"name\": \"Al Mumtaz Panjgur\",\n          \"latitude\": 27.079910737020008,\n          \"longitude\": 64.13372227997655,\n          \"address\": \"Main Bus Terminal Panjgur\",\n          \"short_code\": \"PJG-AM\",\n          \"city_code\": \"PJG\",\n          \"city\": \"Panjgur (پنجگور)\"\n        }\n      ]\n    },\n    {\n      \"id\": 81,\n      \"name\": \"Pasni (پسنى)\",\n      \"short_code\": \"PSI\",\n      \"terminals\": [\n        {\n          \"id\": 206,\n          \"name\": \"Al Mumtaz Pasni\",\n          \"latitude\": 25.328038308993765,\n          \"longitude\": 63.42310095582321,\n          \"address\": \"Main Zero Point Pasni\",\n          \"short_code\": \"PSI-AM\",\n          \"city_code\": \"PSI\",\n          \"city\": \"Pasni (پسنى)\"\n        }\n      ]\n    },\n    {\n      \"id\": 82,\n      \"name\": \"Jiwani (جيونى)\",\n      \"short_code\": \"JIW\",\n      \"terminals\": [\n        {\n          \"id\": 203,\n          \"name\": \"AL Mumtaz Jiwani\",\n          \"latitude\": 25.048021116072718,\n          \"longitude\": 61.747159571164644,\n          \"address\": \"Al Mumtaz Coach Service Main Jiwani Road\",\n          \"short_code\": \"JIW-AM\",\n          \"city_code\": \"JIW\",\n          \"city\": \"Jiwani (جيونى)\"\n        }\n      ]\n    },\n    {\n      \"id\": 83,\n      \"name\": \"Rohri (روہڑی)\",\n      \"short_code\": \"RCW\",\n      \"terminals\": [\n        {\n          \"id\": 208,\n          \"name\": \"Rohri Terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Sukkur Bypass Main Terminal Bus Stop\",\n          \"short_code\": \"RCW-SUKK\",\n          \"city_code\": \"RCW\",\n          \"city\": \"Rohri (روہڑی)\"\n        }\n      ]\n    },\n    {\n      \"id\": 84,\n      \"name\": \"Fort Abbas (فورٹ عباس)\",\n      \"short_code\": \"FAB\",\n      \"terminals\": [\n        {\n          \"id\": 211,\n          \"name\": \"Fort Abbas\",\n          \"latitude\": 29.19954853346923,\n          \"longitude\": 72.85989538662012,\n          \"address\": \"Kashee Flying Coach Pickup Point\",\n          \"short_code\": \"FAB-KFC\",\n          \"city_code\": \"FAB\",\n          \"city\": \"Fort Abbas (فورٹ عباس)\"\n        }\n      ]\n    },\n    {\n      \"id\": 86,\n      \"name\": \"Bannu\",\n      \"short_code\": \"BNP\",\n      \"terminals\": [\n        {\n          \"id\": 233,\n          \"name\": \"Bus Adda Bannu\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"General Bus Stand Bannu\",\n          \"short_code\": \"BNP-GBS\",\n          \"city_code\": \"BNP\",\n          \"city\": \"Bannu\"\n        }\n      ]\n    },\n    {\n      \"id\": 87,\n      \"name\": \"Wahova\",\n      \"short_code\": \"WHOA\",\n      \"terminals\": [\n        {\n          \"id\": 231,\n          \"name\": \"Wahova\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Baloch Transport Adda\",\n          \"short_code\": \"WHOA-BT\",\n          \"city_code\": \"WHOA\",\n          \"city\": \"Wahova\"\n        }\n      ]\n    },\n    {\n      \"id\": 88,\n      \"name\": \"Sawat\",\n      \"short_code\": \"SAT\",\n      \"terminals\": [\n        {\n          \"id\": 238,\n          \"name\": \"Mingora Sawat\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Angro Dehri Chowk Bypass, Mingora, Swat\",\n          \"short_code\": \"SAT-MGA\",\n          \"city_code\": \"SAT\",\n          \"city\": \"Sawat\"\n        }\n      ]\n    },\n    {\n      \"id\": 89,\n      \"name\": \"Kharian\",\n      \"short_code\": \"KHA\",\n      \"terminals\": [\n        {\n          \"id\": 240,\n          \"name\": \"Kharian\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Kharian bus terminal\",\n          \"short_code\": \"KHA-MAIN\",\n          \"city_code\": \"KHA\",\n          \"city\": \"Kharian\"\n        }\n      ]\n    },\n    {\n      \"id\": 90,\n      \"name\": \"Hasilpur\",\n      \"short_code\": \"HSP\",\n      \"terminals\": [\n        {\n          \"id\": 259,\n          \"name\": \"Muslim Movers stop Hasilpur\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Muslim and Rohi Terminal Hasilpur\",\n          \"short_code\": \"HSP-MM\",\n          \"city_code\": \"HSP\",\n          \"city\": \"Hasilpur\"\n        }\n      ]\n    },\n    {\n      \"id\": 91,\n      \"name\": \"Wazirabad\",\n      \"short_code\": \"WZA\",\n      \"terminals\": [\n        {\n          \"id\": 248,\n          \"name\": \"Main Bypas Wazirabad\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Main Bypas Wazirabad\",\n          \"short_code\": \"WZA-NFC\",\n          \"city_code\": \"WZA\",\n          \"city\": \"Wazirabad\"\n        }\n      ]\n    },\n    {\n      \"id\": 92,\n      \"name\": \"Lala Moosa\",\n      \"short_code\": \"LLM\",\n      \"terminals\": [\n        {\n          \"id\": 250,\n          \"name\": \"Main City Lala Moosa\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Main city lala moosa\",\n          \"short_code\": \"LLM-MC\",\n          \"city_code\": \"LLM\",\n          \"city\": \"Lala Moosa\"\n        }\n      ]\n    },\n    {\n      \"id\": 93,\n      \"name\": \"Battagram\",\n      \"short_code\": \"BTG\",\n      \"terminals\": [\n        {\n          \"id\": 262,\n          \"name\": \"General Bus Stand Battagram\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Lari Adda Batgram\",\n          \"short_code\": \"BTG-HM\",\n          \"city_code\": \"BTG\",\n          \"city\": \"Battagram\"\n        }\n      ]\n    },\n    {\n      \"id\": 94,\n      \"name\": \"Thakot\",\n      \"short_code\": \"TKT\",\n      \"terminals\": [\n        {\n          \"id\": 261,\n          \"name\": \"General Bus Stand Thakot\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Lari Adda Thakot.\",\n          \"short_code\": \"TKT-HM\",\n          \"city_code\": \"TKT\",\n          \"city\": \"Thakot\"\n        }\n      ]\n    },\n    {\n      \"id\": 95,\n      \"name\": \"Kamalia\",\n      \"short_code\": \"KML\",\n      \"terminals\": [\n        {\n          \"id\": 255,\n          \"name\": \"Muslim Movers Stop Kamalia\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"New Subhan Terminal Kamalia\",\n          \"short_code\": \"KML-MM\",\n          \"city_code\": \"KML\",\n          \"city\": \"Kamalia\"\n        }\n      ]\n    },\n    {\n      \"id\": 96,\n      \"name\": \"Vehari\",\n      \"short_code\": \"VHR\",\n      \"terminals\": [\n        {\n          \"id\": 257,\n          \"name\": \"Muslim movers Vehari Stop\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Nadir Terminal Vehari\",\n          \"short_code\": \"VHR-MM\",\n          \"city_code\": \"VHR\",\n          \"city\": \"Vehari\"\n        }\n      ]\n    },\n    {\n      \"id\": 97,\n      \"name\": \"Burewala\",\n      \"short_code\": \"BRW\",\n      \"terminals\": [\n        {\n          \"id\": 263,\n          \"name\": \"Muslim Movers Burewala Stop\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Chohan Terminal Burewala\",\n          \"short_code\": \"BRW-MM\",\n          \"city_code\": \"BRW\",\n          \"city\": \"Burewala\"\n        }\n      ]\n    },\n    {\n      \"id\": 99,\n      \"name\": \"Dunyapur\",\n      \"short_code\": \"DNY\",\n      \"terminals\": [\n        {\n          \"id\": 268,\n          \"name\": \"GENRAL BUS STAND FAISAL MOVERS\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"General Bus Stand Faisal Movers\",\n          \"short_code\": \"DNY-GBS\",\n          \"city_code\": \"DNY\",\n          \"city\": \"Dunyapur\"\n        }\n      ]\n    },\n    {\n      \"id\": 1,\n      \"name\": \"Lahore (لاہور)\",\n      \"short_code\": \"LHE\",\n      \"terminals\": [\n        {\n          \"id\": 237,\n          \"name\": \"Lahore Thokar Jinnah Terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Faisal Movers Jinnah Terminal, Thokar, Lahore\",\n          \"short_code\": \"LHE-TKN\",\n          \"city_code\": \"LHE\",\n          \"city\": \"Lahore (لاہور)\"\n        },\n        {\n          \"id\": 144,\n          \"name\": \"City Terminal Lahore\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Lahore City Bus Terminal, Near Yateem Khana Chowk\",\n          \"short_code\": \"LHE-CT\",\n          \"city_code\": \"LHE\",\n          \"city\": \"Lahore (لاہور)\"\n        },\n        {\n          \"id\": 194,\n          \"name\": \"Mall Road Lahore\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Mall Road, Gulberg, Lahore\",\n          \"short_code\": \"LHE-MR\",\n          \"city_code\": \"LHE\",\n          \"city\": \"Lahore (لاہور)\"\n        },\n        {\n          \"id\": 183,\n          \"name\": \"Lahore Rehber Bus Terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Opposite Govt City Distt Bus Terminal Near Chowk Yateem Khana\",\n          \"short_code\": \"LHE-FMB\",\n          \"city_code\": \"LHE\",\n          \"city\": \"Lahore (لاہور)\"\n        },\n        {\n          \"id\": 163,\n          \"name\": \"Lahore Bakar Mandi\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Band Rd, Shera Kot\",\n          \"short_code\": \"LHE-BM\",\n          \"city_code\": \"LHE\",\n          \"city\": \"Lahore (لاہور)\"\n        },\n        {\n          \"id\": 143,\n          \"name\": \"Kainat Travels Terminal Lahore\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"-\",\n          \"short_code\": \"LHE-KTT\",\n          \"city_code\": \"LHE\",\n          \"city\": \"Lahore (لاہور)\"\n        },\n        {\n          \"id\": 213,\n          \"name\": \"Sadabahar Daewoo Lahore\",\n          \"latitude\": 31.594098625942667,\n          \"longitude\": 74.31737604232927,\n          \"address\": \"Badami Bagh, Lari Adda, Near Minar-e- Pakistan\",\n          \"short_code\": \"LHE-SAD\",\n          \"city_code\": \"LHE\",\n          \"city\": \"Lahore (لاہور)\"\n        },\n        {\n          \"id\": 285,\n          \"name\": \"CB General Bus Stand\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \" General Bus Stand # 14 Badami Bagh Lari Adda Lahore\",\n          \"short_code\": \"LHE-GBS\",\n          \"city_code\": \"LHE\",\n          \"city\": \"Lahore (لاہور)\"\n        },\n        {\n          \"id\": 286,\n          \"name\": \"CB Alliance Travel Chakwal City\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Alliance Travel Chakwal City\",\n          \"short_code\": \"LHE-CHK\",\n          \"city_code\": \"LHE\",\n          \"city\": \"Lahore (لاہور)\"\n        },\n        {\n          \"id\": 246,\n          \"name\": \"General Bus Stand LHR\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"(Via GT Road) Madina Chowk Near Mani Paan Shop General Bus Stand Badami Bagh Lari Adda Lahore\",\n          \"short_code\": \"LHE-NFC\",\n          \"city_code\": \"LHE\",\n          \"city\": \"Lahore (لاہور)\"\n        },\n        {\n          \"id\": 1,\n          \"name\": \"Lahore Thokar\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Thokar Niaz Baig, Between Multan Road & Mohlanwal Road, Near PSO Petrol Pump\",\n          \"short_code\": \"LHE\",\n          \"city_code\": \"LHE\",\n          \"city\": \"Lahore (لاہور)\"\n        },\n        {\n          \"id\": 243,\n          \"name\": \"Lahore Thokar Terminal Muslim Movers\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Jinnah Terminal Near Thokar Niaz Baig Bypass Lahore\",\n          \"short_code\": \"LHE-TKR\",\n          \"city_code\": \"LHE\",\n          \"city\": \"Lahore (لاہور)\"\n        },\n        {\n          \"id\": 245,\n          \"name\": \"Skyways Terminal Lahore\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Skyways Terminal  Near Yateem Khana Band Road Lahore\",\n          \"short_code\": \"LHE-SKY\",\n          \"city_code\": \"LHE\",\n          \"city\": \"Lahore (لاہور)\"\n        },\n        {\n          \"id\": 258,\n          \"name\": \"Abdullah Terminal Sania Express Lahore\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Abdullah Terminal Sania Express Near Yateem Khana Band Road Lahore\",\n          \"short_code\": \"LHE-ATSE\",\n          \"city_code\": \"LHE\",\n          \"city\": \"Lahore (لاہور)\"\n        },\n        {\n          \"id\": 79,\n          \"name\": \"LAHORE DHA\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Plot #432/1, Sector-L, Phase V, DHA, Near LGS,\",\n          \"short_code\": \"LHE-DHA\",\n          \"city_code\": \"LHE\",\n          \"city\": \"Lahore (لاہور)\"\n        },\n        {\n          \"id\": 105,\n          \"name\": \"LAHORE KALMA CHOWK\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Kalma Chowk\",\n          \"short_code\": \"LHE-KC\",\n          \"city_code\": \"LHE\",\n          \"city\": \"Lahore (لاہور)\"\n        }\n      ]\n    },\n    {\n      \"id\": 2,\n      \"name\": \"Rawalpindi / Islamabad (اسلام آباد)\",\n      \"short_code\": \"RWP\",\n      \"terminals\": [\n        {\n          \"id\": 136,\n          \"name\": \"Karachi Travel Point Rawalpindi\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Near Post Office Pirwadhai Rawalpindi\",\n          \"short_code\": \"RWP-KTP\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 146,\n          \"name\": \"Rawalpindi Terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Pirwadhai Mor, Near Peshawar Road\",\n          \"short_code\": \"RWP-PT\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 141,\n          \"name\": \"Pirwadhai Rawalpindi\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Stand No 6, Near Police Station, Pirwadhai\",\n          \"short_code\": \"RWP-PR\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 147,\n          \"name\": \"Kainat Travels Terminal Rawalpindi\",\n          \"latitude\": 33.61384424015015,\n          \"longitude\": 72.99661261504018,\n          \"address\": \"Pirwadhai Mor, Near Peshawar Road\",\n          \"short_code\": \"RWP-NK\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 173,\n          \"name\": \"Rawalpindi\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Sania Express Furnteir Panjab Bus Terminal Near i8 Traffic Signal Islamabad, Faisal Movers City Bus.\",\n          \"short_code\": \"RWP-FM\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 155,\n          \"name\": \"Rawalpindi Sadar Office\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Aurangzeb Hotel, Police Station Road, Near Railway Station Sadar Rawalpindi Cantt\",\n          \"short_code\": \"RWP-SO\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 154,\n          \"name\": \"Peshawar Road Rawalpindi\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Main Pirwadhai Mor, Peshawar Road Rawalpindi\",\n          \"short_code\": \"RWP-AB\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 145,\n          \"name\": \"Kainat Travels Rawalpindi\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Main Pirwadhai General Bus Stand\",\n          \"short_code\": \"RWP-KP\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 276,\n          \"name\": \"Adil Express Terminal Peerwadhai Mour Rawalpindi\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Adil Express Terminal Peerwadhai Mour, City District Government Adda Rawalpindi. \",\n          \"short_code\": \"RWP-ATPM\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 212,\n          \"name\": \"Sadabahar Rawalpindi Adda\",\n          \"latitude\": 33.63038409612292,\n          \"longitude\": 73.04102571349391,\n          \"address\": \"Pir Wadahi Main Bus Stand Number 35\",\n          \"short_code\": \"RWP-SAD\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 214,\n          \"name\": \"Sadabahar Islamabad Adda\",\n          \"latitude\": 33.68905891072095,\n          \"longitude\": 73.03250845229252,\n          \"address\": \"Karachi Company, G9 Markaz\",\n          \"short_code\": \"RWP-SIA\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 283,\n          \"name\": \"Peer Wadhai Mour MantharTerminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Shop 60, Pirwadhai Bus Stand, Pirwadhai, Pirwadhai, Rawalpindi, Punjab 46000\",\n          \"short_code\": \"RWP-PW\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 290,\n          \"name\": \"Rawalpindi 26 no Chungi Pin\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Rawalpindi 26 no Chungi Pin\",\n          \"short_code\": \"RWP-CG\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 184,\n          \"name\": \"FMBT Islamabad\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"FMBT Express  Blue Line Bus Terminal, Near i-8 Traffic Signal, Faizabad, Islamabad\",\n          \"short_code\": \"RWP-FMB\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 22,\n          \"name\": \"RAWALPINDI\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Deawoo Terminal Rawalpindi, Jhangi Sayyedan, Near EME College. No 26 Chungi Peshawar Road\",\n          \"short_code\": \"RWP-MAIN\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 123,\n          \"name\": \"RAWALPINDI (FAIZABAD)\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Shop # 2, Ground Floor, Sultan Arcade, Sector I-8/4, Faizabad I 8/4 Islamabad\",\n          \"short_code\": \"RWP-FZB\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 247,\n          \"name\": \"Islamabad Larri Adda\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Karachi company G9 markaz\",\n          \"short_code\": \"RWP-KC\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 260,\n          \"name\": \"Punjab Frontier Terminal Islamabad\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Punjab Frontier Terminal Opposite Skyways Terminal Faizabad Islambad\",\n          \"short_code\": \"RWP-NFC\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 265,\n          \"name\": \"Shalimar Terminal Rawalpindi\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Shalimar Terminal Pirwadhai, Rawalpindi\",\n          \"short_code\": \"RWP-STP\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 271,\n          \"name\": \"Rawalpindi Raja Travel Terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"26 No. Raja Travel Terminal\",\n          \"short_code\": \"RWP-RTT\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        },\n        {\n          \"id\": 272,\n          \"name\": \"Rawalpindi Kohistan Terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Kohistan Terminal Peerwadhai Mour\",\n          \"short_code\": \"RWP-PMP\",\n          \"city_code\": \"RWP\",\n          \"city\": \"Rawalpindi / Islamabad (اسلام آباد)\"\n        }\n      ]\n    },\n    {\n      \"id\": 3,\n      \"name\": \"Batkhela (بٹ خیلہ)\",\n      \"short_code\": \"BATK\",\n      \"terminals\": [\n        {\n          \"id\": 26,\n          \"name\": \"BATKHELA\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Shahibzada Markete, Near Main Haji Baba Chowk, GT. Road\",\n          \"short_code\": \"BATK\",\n          \"city_code\": \"BATK\",\n          \"city\": \"Batkhela (بٹ خیلہ)\"\n        }\n      ]\n    },\n    {\n      \"id\": 4,\n      \"name\": \"Bhakkar (بھکر)\",\n      \"short_code\": \"BHK\",\n      \"terminals\": [\n        {\n          \"id\": 295,\n          \"name\": \"Main Lari Adda\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Main Lari Adda near Gate lari Adda\",\n          \"short_code\": \"BHK-LA\",\n          \"city_code\": \"BHK\",\n          \"city\": \"Bhakkar (بھکر)\"\n        },\n        {\n          \"id\": 19,\n          \"name\": \"BHAKKAR\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Opposite General Bus stand Jhang Road, Chak No.34/B TDA, Tehsil & District Bhakkar\",\n          \"short_code\": \"BHK\",\n          \"city_code\": \"BHK\",\n          \"city\": \"Bhakkar (بھکر)\"\n        }\n      ]\n    },\n    {\n      \"id\": 5,\n      \"name\": \"Gujrat (گجرات)\",\n      \"short_code\": \"GJT\",\n      \"terminals\": [\n        {\n          \"id\": 229,\n          \"name\": \"Genral Bus Stand Gujrat\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Lari Adda Natt Coach\",\n          \"short_code\": \"GJT-GBS\",\n          \"city_code\": \"GJT\",\n          \"city\": \"Gujrat (گجرات)\"\n        },\n        {\n          \"id\": 33,\n          \"name\": \"GUJRAT\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Khasra no. 714, Khatooni no. 665/1208, GT Road Near UBL Bank\",\n          \"short_code\": \"GJT\",\n          \"city_code\": \"GJT\",\n          \"city\": \"Gujrat (گجرات)\"\n        }\n      ]\n    },\n    {\n      \"id\": 6,\n      \"name\": \"Hyderabad (حیدرآباد)\",\n      \"short_code\": \"HYD\",\n      \"terminals\": [\n        {\n          \"id\": 164,\n          \"name\": \"Hyderabad City Terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Badin Stop\",\n          \"short_code\": \"HYD-BS\",\n          \"city_code\": \"HYD\",\n          \"city\": \"Hyderabad (حیدرآباد)\"\n        },\n        {\n          \"id\": 135,\n          \"name\": \"Kainat Travels Terminal Hyderabad\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"National Highway 5, Adjacent to Ayub Hotel\",\n          \"short_code\": \"HYD-KTT\",\n          \"city_code\": \"HYD\",\n          \"city\": \"Hyderabad (حیدرآباد)\"\n        },\n        {\n          \"id\": 165,\n          \"name\": \"Main Hyderabad Terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Citizen Colony, Opposite Rajputana Hospital Qasimabad\",\n          \"short_code\": \"HYD-CC\",\n          \"city_code\": \"HYD\",\n          \"city\": \"Hyderabad (حیدرآباد)\"\n        },\n        {\n          \"id\": 284,\n          \"name\": \"Hyderabad Ayub Hotel\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Hyderabad Ayub Hotel\",\n          \"short_code\": \"HYD-AH\",\n          \"city_code\": \"HYD\",\n          \"city\": \"Hyderabad (حیدرآباد)\"\n        },\n        {\n          \"id\": 12,\n          \"name\": \"HYDERABAD\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Hyderabad Bypass\",\n          \"short_code\": \"HYD\",\n          \"city_code\": \"HYD\",\n          \"city\": \"Hyderabad (حیدرآباد)\"\n        },\n        {\n          \"id\": 113,\n          \"name\": \"HYDERABAD CITY\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"N/A\",\n          \"short_code\": \"HYD-CITY\",\n          \"city_code\": \"HYD\",\n          \"city\": \"Hyderabad (حیدرآباد)\"\n        }\n      ]\n    },\n    {\n      \"id\": 7,\n      \"name\": \"Mianwali (میانوالی)\",\n      \"short_code\": \"MNW\",\n      \"terminals\": [\n        {\n          \"id\": 29,\n          \"name\": \"MIANWALI\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"PAF Road, Near Flavor City Hotel\",\n          \"short_code\": \"MNW\",\n          \"city_code\": \"MNW\",\n          \"city\": \"Mianwali (میانوالی)\"\n        }\n      ]\n    },\n    {\n      \"id\": 8,\n      \"name\": \"Moro (مورو)\",\n      \"short_code\": \"MOR\",\n      \"terminals\": [\n        {\n          \"id\": 11,\n          \"name\": \"MORO\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Byco Falak Filling Station, Bypass Road, NHA, Moro.\",\n          \"short_code\": \"MOR\",\n          \"city_code\": \"MOR\",\n          \"city\": \"Moro (مورو)\"\n        }\n      ]\n    },\n    {\n      \"id\": 9,\n      \"name\": \"Murree (مری)\",\n      \"short_code\": \"MUR\",\n      \"terminals\": [\n        {\n          \"id\": 189,\n          \"name\": \"Nathia Gali, Murree\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Murree Nathia Gali\",\n          \"short_code\": \"MUR-NG\",\n          \"city_code\": \"MUR\",\n          \"city\": \"Murree (مری)\"\n        },\n        {\n          \"id\": 185,\n          \"name\": \"Murree\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Main General Bus Stand Faisal Movers Bus Terminal Upper Mall Road\",\n          \"short_code\": \"MUR-FMB\",\n          \"city_code\": \"MUR\",\n          \"city\": \"Murree (مری)\"\n        },\n        {\n          \"id\": 35,\n          \"name\": \"MURREE\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Shop No. 14, 21, 22 Cart Road, Cantonment Plaza, Frida Market, Cantt\",\n          \"short_code\": \"MUR\",\n          \"city_code\": \"MUR\",\n          \"city\": \"Murree (مری)\"\n        }\n      ]\n    },\n    {\n      \"id\": 10,\n      \"name\": \"Bhalwal (بهلوال)\",\n      \"short_code\": \"BHL\",\n      \"terminals\": [\n        {\n          \"id\": 40,\n          \"name\": \"BHALWAL\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Near General Bus Stand, Chak No. 8, North Bhalwal City Road, Tehsil Bhalwal, Dist. Sargodha\",\n          \"short_code\": \"BHL\",\n          \"city_code\": \"BHL\",\n          \"city\": \"Bhalwal (بهلوال)\"\n        }\n      ]\n    },\n    {\n      \"id\": 11,\n      \"name\": \"Rahim Yar Khan (رحیم یار خان)\",\n      \"short_code\": \"RYK\",\n      \"terminals\": [\n        {\n          \"id\": 8,\n          \"name\": \"Chowk Bahadurpur Rahim Yar Khan\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Moza Bahadurpur, KLP Road , District Rahim Yar Khan, Chowk Bahadupur\",\n          \"short_code\": \"CHBDR\",\n          \"city_code\": \"RYK\",\n          \"city\": \"Rahim Yar Khan (رحیم یار خان)\"\n        },\n        {\n          \"id\": 293,\n          \"name\": \"Thali chowk terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Rahim yar Khan, Near Thali chowk\",\n          \"short_code\": \"RYK-RYK\",\n          \"city_code\": \"RYK\",\n          \"city\": \"Rahim Yar Khan (رحیم یار خان)\"\n        },\n        {\n          \"id\": 128,\n          \"name\": \"Rahim Yar Khan\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Iqbalabad\",\n          \"short_code\": \"IQB\",\n          \"city_code\": \"RYK\",\n          \"city\": \"Rahim Yar Khan (رحیم یار خان)\"\n        }\n      ]\n    },\n    {\n      \"id\": 12,\n      \"name\": \"Swat (سوات)\",\n      \"short_code\": \"SWT\",\n      \"terminals\": [\n        {\n          \"id\": 71,\n          \"name\": \"BARIKOT\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Opp. Government Higher Secondary School, G.T. Road, Barikot\",\n          \"short_code\": \"BRK\",\n          \"city_code\": \"SWT\",\n          \"city\": \"Swat (سوات)\"\n        },\n        {\n          \"id\": 27,\n          \"name\": \"SWAT\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Amankot, GT Road, Opp. PSO Pump Near GTS, Mingora.Swat\",\n          \"short_code\": \"SWT\",\n          \"city_code\": \"SWT\",\n          \"city\": \"Swat (سوات)\"\n        },\n        {\n          \"id\": 228,\n          \"name\": \"Swat\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Pizagat Shahid Coach Terminal\",\n          \"short_code\": \"SWT-GBS\",\n          \"city_code\": \"SWT\",\n          \"city\": \"Swat (سوات)\"\n        }\n      ]\n    },\n    {\n      \"id\": 13,\n      \"name\": \"Chakwal (چکوال)\",\n      \"short_code\": \"CHK\",\n      \"terminals\": [\n        {\n          \"id\": 273,\n          \"name\": \"CB Alliance Travel Chakwal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Alliance Travel Chakwal City\",\n          \"short_code\": \"CHK-ATC\",\n          \"city_code\": \"CHK\",\n          \"city\": \"Chakwal (چکوال)\"\n        },\n        {\n          \"id\": 282,\n          \"name\": \"Adil Express Terminal Chakwal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Adil Express Terminal Chakwal\",\n          \"short_code\": \"CHK-AET\",\n          \"city_code\": \"CHK\",\n          \"city\": \"Chakwal (چکوال)\"\n        }\n      ]\n    },\n    {\n      \"id\": 14,\n      \"name\": \"Sakrand (سکرنڈ)\",\n      \"short_code\": \"SKR\",\n      \"terminals\": [\n        {\n          \"id\": 117,\n          \"name\": \"SAKRAND\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"N/A\",\n          \"short_code\": \"SKR\",\n          \"city_code\": \"SKR\",\n          \"city\": \"Sakrand (سکرنڈ)\"\n        }\n      ]\n    },\n    {\n      \"id\": 15,\n      \"name\": \"Haripur (ہری پور)\",\n      \"short_code\": \"HRP\",\n      \"terminals\": [\n        {\n          \"id\": 277,\n          \"name\": \"Hazara Movers Haripur Interchange\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Shah Maqsood Interchange Haripur.\",\n          \"short_code\": \"HRP-SMI\",\n          \"city_code\": \"HRP\",\n          \"city\": \"Haripur (ہری پور)\"\n        },\n        {\n          \"id\": 291,\n          \"name\": \"Haripur Terminal Interchange\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Haripur Terminal Interchange\",\n          \"short_code\": \"HRP-SSI\",\n          \"city_code\": \"HRP\",\n          \"city\": \"Haripur (ہری پور)\"\n        },\n        {\n          \"id\": 119,\n          \"name\": \"Shah Maqsood Haripur\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Daewoo Express Shah Maqsood, Near Shah Maqsood Interchange, Hazara Motorway\",\n          \"short_code\": \"SHMQ\",\n          \"city_code\": \"HRP\",\n          \"city\": \"Haripur (ہری پور)\"\n        }\n      ]\n    },\n    {\n      \"id\": 16,\n      \"name\": \"Faisalabad (فیصل آباد)\",\n      \"short_code\": \"FSB\",\n      \"terminals\": [\n        {\n          \"id\": 150,\n          \"name\": \"Kainat Travels Faisalabad\",\n          \"latitude\": 31.415930375845807,\n          \"longitude\": 73.09132657995382,\n          \"address\": \"GTS Chowk Faisalabad\",\n          \"short_code\": \"FSB-KTO\",\n          \"city_code\": \"FSB\",\n          \"city\": \"Faisalabad (فیصل آباد)\"\n        },\n        {\n          \"id\": 186,\n          \"name\": \"Faisalabad Kohistan Express Bus Terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Kohistan Express Bus Terminal near GTS.\",\n          \"short_code\": \"FSB-KE\",\n          \"city_code\": \"FSB\",\n          \"city\": \"Faisalabad (فیصل آباد)\"\n        },\n        {\n          \"id\": 178,\n          \"name\": \"Faisalabad\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Motorway Interchange, Faisalabad\",\n          \"short_code\": \"FSB-FM\",\n          \"city_code\": \"FSB\",\n          \"city\": \"Faisalabad (فیصل آباد)\"\n        },\n        {\n          \"id\": 152,\n          \"name\": \"Taimoor Terminal Faisalabad\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"GTS Chowk\",\n          \"short_code\": \"FSB-TT\",\n          \"city_code\": \"FSB\",\n          \"city\": \"Faisalabad (فیصل آباد)\"\n        },\n        {\n          \"id\": 148,\n          \"name\": \"Al-Halal Faisalabad\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Al-Halal Travels Allied Mor Sargodha Road\",\n          \"short_code\": \"FSB-AH\",\n          \"city_code\": \"FSB\",\n          \"city\": \"Faisalabad (فیصل آباد)\"\n        },\n        {\n          \"id\": 281,\n          \"name\": \"Faisalabad Interchange Sargodha\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \" Faisalabad Interchange Sargodha Road\",\n          \"short_code\": \"FSB-FIS\",\n          \"city_code\": \"FSB\",\n          \"city\": \"Faisalabad (فیصل آباد)\"\n        },\n        {\n          \"id\": 16,\n          \"name\": \"FAISALABAD\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Chak No-123 (JB) Mohallah Akbarabad, Punj Pullian Road, Opp. Allied Hospital\",\n          \"short_code\": \"FSB\",\n          \"city_code\": \"FSB\",\n          \"city\": \"Faisalabad (فیصل آباد)\"\n        },\n        {\n          \"id\": 227,\n          \"name\": \"Subhan Adda Faisalabad\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"New Subhan Adda Near Railway Station\",\n          \"short_code\": \"FSB-RS\",\n          \"city_code\": \"FSB\",\n          \"city\": \"Faisalabad (فیصل آباد)\"\n        }\n      ]\n    },\n    {\n      \"id\": 17,\n      \"name\": \"Chichawatni (چیچہ وطنی)\",\n      \"short_code\": \"CHCW\",\n      \"terminals\": [\n        {\n          \"id\": 244,\n          \"name\": \"Muslim Movers stop Chichawatni\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Faisal Movers Terminal Chichawatni\",\n          \"short_code\": \"CHCW-MM\",\n          \"city_code\": \"CHCW\",\n          \"city\": \"Chichawatni (چیچہ وطنی)\"\n        },\n        {\n          \"id\": 125,\n          \"name\": \"CHICHAWATNI\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Daewoo Express, bypass Road, near Al Ghani Chowk, Nazir Town Nazeer Town\",\n          \"short_code\": \"CHCW\",\n          \"city_code\": \"CHCW\",\n          \"city\": \"Chichawatni (چیچہ وطنی)\"\n        }\n      ]\n    },\n    {\n      \"id\": 18,\n      \"name\": \"Muzafargarh (مظفر گڑھ)\",\n      \"short_code\": \"MUZF\",\n      \"terminals\": [\n        {\n          \"id\": 61,\n          \"name\": \"MUZAFARGARH\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Dera Ghazi Khan Road, Thal Jute Mills\",\n          \"short_code\": \"MUZF\",\n          \"city_code\": \"MUZF\",\n          \"city\": \"Muzafargarh (مظفر گڑھ)\"\n        },\n        {\n          \"id\": 88,\n          \"name\": \"Muzafargarh\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Chowk Qureshi\",\n          \"short_code\": \"CHKQ\",\n          \"city_code\": \"MUZF\",\n          \"city\": \"Muzafargarh (مظفر گڑھ)\"\n        }\n      ]\n    },\n    {\n      \"id\": 19,\n      \"name\": \"Mian Chanu (مِياں چنُّوں)\",\n      \"short_code\": \"MCHN\",\n      \"terminals\": [\n        {\n          \"id\": 126,\n          \"name\": \"MIAN CHANU\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"N/A\",\n          \"short_code\": \"MCHN\",\n          \"city_code\": \"MCHN\",\n          \"city\": \"Mian Chanu (مِياں چنُّوں)\"\n        }\n      ]\n    },\n    {\n      \"id\": 20,\n      \"name\": \"Multan (ملتان)\",\n      \"short_code\": \"MUL\",\n      \"terminals\": [\n        {\n          \"id\": 142,\n          \"name\": \"Kainat Travel Multan\",\n          \"latitude\": 30.175122738118734,\n          \"longitude\": 71.50995562048608,\n          \"address\": \"Booking Office #1, Stand #18, New AC Terminal General Bus Stand\",\n          \"short_code\": \"MUL-GBS\",\n          \"city_code\": \"MUL\",\n          \"city\": \"Multan (ملتان)\"\n        },\n        {\n          \"id\": 138,\n          \"name\": \"Multan\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Madina Flying Coach Bus Terminal, Vehari Chowk\",\n          \"short_code\": \"MUL-W\",\n          \"city_code\": \"MUL\",\n          \"city\": \"Multan (ملتان)\"\n        },\n        {\n          \"id\": 278,\n          \"name\": \"Shah Shamas Tabraiz Interchange Multan\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Shah Shamas Tabraiz Interchange Multan\",\n          \"short_code\": \"MUL-STIM\",\n          \"city_code\": \"MUL\",\n          \"city\": \"Multan (ملتان)\"\n        },\n        {\n          \"id\": 226,\n          \"name\": \"Multan Vehari Chowk\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Vehari Chowk Madina Flying Coaches\",\n          \"short_code\": \"MUL-BS\",\n          \"city_code\": \"MUL\",\n          \"city\": \"Multan (ملتان)\"\n        },\n        {\n          \"id\": 253,\n          \"name\": \"Bilal Travel MultanAdda\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Bilal Travels wains plaza Veharhi chok Multan\",\n          \"short_code\": \"MUL-BTVC\",\n          \"city_code\": \"MUL\",\n          \"city\": \"Multan (ملتان)\"\n        },\n        {\n          \"id\": 5,\n          \"name\": \"Multan (Main)\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"TTC Khanewal Road, Gaddafi Chowk\",\n          \"short_code\": \"MUL\",\n          \"city_code\": \"MUL\",\n          \"city\": \"Multan (ملتان)\"\n        }\n      ]\n    },\n    {\n      \"id\": 21,\n      \"name\": \"Sargodha (سرگودھا)\",\n      \"short_code\": \"SGH\",\n      \"terminals\": [\n        {\n          \"id\": 82,\n          \"name\": \"Sargodha\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Salam Interchange\",\n          \"short_code\": \"SAIT\",\n          \"city_code\": \"SGH\",\n          \"city\": \"Sargodha (سرگودھا)\"\n        },\n        {\n          \"id\": 224,\n          \"name\": \"General Bus Stand Sargodha\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Lari Adda Stand Number 17\",\n          \"short_code\": \"SGH-GBS\",\n          \"city_code\": \"SGH\",\n          \"city\": \"Sargodha (سرگودھا)\"\n        },\n        {\n          \"id\": 21,\n          \"name\": \"SARGODHA\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Plot No. 149 & 150, Main College Road, Wagon Stand, Chak No. 47 NB, Sargodha Cantt\",\n          \"short_code\": \"SGH\",\n          \"city_code\": \"SGH\",\n          \"city\": \"Sargodha (سرگودھا)\"\n        }\n      ]\n    },\n    {\n      \"id\": 22,\n      \"name\": \"Nowshera (نوشہرہ)\",\n      \"short_code\": \"NOW\",\n      \"terminals\": [\n        {\n          \"id\": 23,\n          \"name\": \"NOWSHERA\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Army Welfare Shops, CMH, The Mall, G.T Road, Station Headquarter\",\n          \"short_code\": \"NWSH\",\n          \"city_code\": \"NOW\",\n          \"city\": \"Nowshera (نوشہرہ)\"\n        }\n      ]\n    },\n    {\n      \"id\": 23,\n      \"name\": \"Jhang (جھنگ)\",\n      \"short_code\": \"JHA\",\n      \"terminals\": [\n        {\n          \"id\": 17,\n          \"name\": \"JHANG\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Safdar Petrolium, Mohallah Islam Nagar, Bhukkar Road\",\n          \"short_code\": \"JHA\",\n          \"city_code\": \"JHA\",\n          \"city\": \"Jhang (جھنگ)\"\n        }\n      ]\n    },\n    {\n      \"id\": 24,\n      \"name\": \"Jhelum (جہلم)\",\n      \"short_code\": \"JHEL\",\n      \"terminals\": [\n        {\n          \"id\": 241,\n          \"name\": \"Lahore Morr Jehlum Cantt\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Lahore Morr, Jhelum Cantt, Jhelum\",\n          \"short_code\": \"JHEL-LM\",\n          \"city_code\": \"JHEL\",\n          \"city\": \"Jhelum (جہلم)\"\n        },\n        {\n          \"id\": 53,\n          \"name\": \"JHELUM\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Behind Police Welfare Pump, Main G.T Road, Jada\",\n          \"short_code\": \"JHEL\",\n          \"city_code\": \"JHEL\",\n          \"city\": \"Jhelum (جہلم)\"\n        }\n      ]\n    },\n    {\n      \"id\": 25,\n      \"name\": \"Lodhran (لودھراں)\",\n      \"short_code\": \"LDH\",\n      \"terminals\": [\n        {\n          \"id\": 121,\n          \"name\": \"LODHRAN\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Gourmet Rd, Mahram Wala Lodhran\",\n          \"short_code\": \"LHD\",\n          \"city_code\": \"LDH\",\n          \"city\": \"Lodhran (لودھراں)\"\n        },\n        {\n          \"id\": 129,\n          \"name\": \"Lodhran\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Kahror Chowk, Kahror Pakka Road\",\n          \"short_code\": \"DNY\",\n          \"city_code\": \"LDH\",\n          \"city\": \"Lodhran (لودھراں)\"\n        },\n        {\n          \"id\": 269,\n          \"name\": \"MELAD CHOWK FAISAL MOVERS\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Melad Chowk Faisal Movers\",\n          \"short_code\": \"LDH-MCFM\",\n          \"city_code\": \"LDH\",\n          \"city\": \"Lodhran (لودھراں)\"\n        }\n      ]\n    },\n    {\n      \"id\": 26,\n      \"name\": \"Abbottabad (ایبٹ آباد)\",\n      \"short_code\": \"ABT\",\n      \"terminals\": [\n        {\n          \"id\": 134,\n          \"name\": \"Abbotabad\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Fawara Chowk\",\n          \"short_code\": \"ABT-FWCHK\",\n          \"city_code\": \"ABT\",\n          \"city\": \"Abbottabad (ایبٹ آباد)\"\n        },\n        {\n          \"id\": 36,\n          \"name\": \"ABBOTTABAD\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Near Mesile Chowk, Moza Jhangi, Chowk Mandian, Main Mansehra Road, Abt Cantt\",\n          \"short_code\": \"ABT\",\n          \"city_code\": \"ABT\",\n          \"city\": \"Abbottabad (ایبٹ آباد)\"\n        },\n        {\n          \"id\": 235,\n          \"name\": \"Abbottabad\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Fawara chowk\",\n          \"short_code\": \"ABT-FC\",\n          \"city_code\": \"ABT\",\n          \"city\": \"Abbottabad (ایبٹ آباد)\"\n        },\n        {\n          \"id\": 254,\n          \"name\": \"Abbottabad Interchange\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Havelian Interchange Abbottabad\",\n          \"short_code\": \"ABT-HM\",\n          \"city_code\": \"ABT\",\n          \"city\": \"Abbottabad (ایبٹ آباد)\"\n        }\n      ]\n    },\n    {\n      \"id\": 27,\n      \"name\": \"Jahanian (جہانیاں)\",\n      \"short_code\": \"JHNN\",\n      \"terminals\": [\n        {\n          \"id\": 127,\n          \"name\": \"JAHANIAN\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Lodhran - Khanewal Expressway\",\n          \"short_code\": \"JHNN\",\n          \"city_code\": \"JHNN\",\n          \"city\": \"Jahanian (جہانیاں)\"\n        },\n        {\n          \"id\": 267,\n          \"name\": \"JAHANIAN GENRAL BUS STAND FAISAL MOVERS\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"General Bus Stand Faisal Movers Near Graveyard\",\n          \"short_code\": \"JHNN-GBS\",\n          \"city_code\": \"JHNN\",\n          \"city\": \"Jahanian (جہانیاں)\"\n        }\n      ]\n    },\n    {\n      \"id\": 28,\n      \"name\": \"Zahirpir (ظاہرپیر)\",\n      \"short_code\": \"ZHI\",\n      \"terminals\": [\n        {\n          \"id\": 130,\n          \"name\": \"ZAHIRPIR CITY\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Kot Mithan Road, Zāhir Pīr, Rahim Yar Khan\",\n          \"short_code\": \"ZHC\",\n          \"city_code\": \"ZHI\",\n          \"city\": \"Zahirpir (ظاہرپیر)\"\n        },\n        {\n          \"id\": 131,\n          \"name\": \"Zahirpir\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Zahirpir Interchange\",\n          \"short_code\": \"ZHI\",\n          \"city_code\": \"ZHI\",\n          \"city\": \"Zahirpir (ظاہرپیر)\"\n        }\n      ]\n    },\n    {\n      \"id\": 29,\n      \"name\": \"Karachi (کراچی)\",\n      \"short_code\": \"KHI\",\n      \"terminals\": [\n        {\n          \"id\": 140,\n          \"name\": \"Baldia Karachi\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"NULL\",\n          \"short_code\": \"KHI-BD\",\n          \"city_code\": \"KHI\",\n          \"city\": \"Karachi (کراچی)\"\n        },\n        {\n          \"id\": 196,\n          \"name\": \"Al Asif Karachi\",\n          \"latitude\": 24.945094527788587,\n          \"longitude\": 67.08570872883536,\n          \"address\": \"Shop No. 18, Main Karachi Bus Terminal, Near Hascol Petrol Pump\",\n          \"short_code\": \"KHI-AAS\",\n          \"city_code\": \"KHI\",\n          \"city\": \"Karachi (کراچی)\"\n        },\n        {\n          \"id\": 191,\n          \"name\": \"Kemari Yousuf Goth Karachi\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Main Bus Stand of Kemari Yousuf Goth\",\n          \"short_code\": \"KHI-KEM\",\n          \"city_code\": \"KHI\",\n          \"city\": \"Karachi (کراچی)\"\n        },\n        {\n          \"id\": 139,\n          \"name\": \"Saddar Karachi\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"MA Jinnah Road Taj Complex Saddar\",\n          \"short_code\": \"KHI-MA\",\n          \"city_code\": \"KHI\",\n          \"city\": \"Karachi (کراچی)\"\n        },\n        {\n          \"id\": 204,\n          \"name\": \"Karachi Al Asif\",\n          \"latitude\": 24.95103643134568,\n          \"longitude\": 67.09214057116463,\n          \"address\": \"Al Asif Square, Sohrab Goth, Quetta Bus Terminal\",\n          \"short_code\": \"KHI-QTA\",\n          \"city_code\": \"KHI\",\n          \"city\": \"Karachi (کراچی)\"\n        },\n        {\n          \"id\": 210,\n          \"name\": \"Karachi Makka Coach Terminal\",\n          \"latitude\": 24.84536764314546,\n          \"longitude\": 67.0378881208841,\n          \"address\": \"Makka Coach by Waqas Warraich Opposite Total Petrol Pump Nearby Karachi Cantt Station\",\n          \"short_code\": \"KHI-CS\",\n          \"city_code\": \"KHI\",\n          \"city\": \"Karachi (کراچی)\"\n        },\n        {\n          \"id\": 279,\n          \"name\": \"Adil Express Sohrab Goth Karachi\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Karachi Bus Terminal Sohrab Goth.\",\n          \"short_code\": \"KHI-SGK\",\n          \"city_code\": \"KHI\",\n          \"city\": \"Karachi (کراچی)\"\n        },\n        {\n          \"id\": 280,\n          \"name\": \"Adil Express Taj Complex\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Taj complex adil express terminal\",\n          \"short_code\": \"KHI-TCAE\",\n          \"city_code\": \"KHI\",\n          \"city\": \"Karachi (کراچی)\"\n        },\n        {\n          \"id\": 287,\n          \"name\": \"Taj Complex  Terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Taj Medical Complex, M.A Jinnah Rd, Central Jacob Lines Karachi, Karachi City, Sindh 74400, Pakistan\",\n          \"short_code\": \"KHI-TC\",\n          \"city_code\": \"KHI\",\n          \"city\": \"Karachi (کراچی)\"\n        },\n        {\n          \"id\": 275,\n          \"name\": \"Sohrab Goth Terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Al Asif New Bus Terminal, Sector 1 B Gulzar E Hijri Scheme 33\",\n          \"short_code\": \"KHI-SG\",\n          \"city_code\": \"KHI\",\n          \"city\": \"Karachi (کراچی)\"\n        },\n        {\n          \"id\": 289,\n          \"name\": \"Patel Para\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Bilal Travels Patel Para Karachi Terminal\",\n          \"short_code\": \"KHI-PP\",\n          \"city_code\": \"KHI\",\n          \"city\": \"Karachi (کراچی)\"\n        },\n        {\n          \"id\": 13,\n          \"name\": \"KARACHI\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Scheme #33, Main Super Highway, Near PSO Petrol Pump, Sohrab Goth\",\n          \"short_code\": \"KHI-MAIN\",\n          \"city_code\": \"KHI\",\n          \"city\": \"Karachi (کراچی)\"\n        },\n        {\n          \"id\": 197,\n          \"name\": \"Sachal Goth Karachi\",\n          \"latitude\": 24.951046721292105,\n          \"longitude\": 67.12853958465855,\n          \"address\": \"Near Kiran Hospital Road, Serena Village Shop #3, Near Mehran Lawn, Sector 34B, Scheme 33 Sachal Goth\",\n          \"short_code\": \"KHI-SACH\",\n          \"city_code\": \"KHI\",\n          \"city\": \"Karachi (کراچی)\"\n        },\n        {\n          \"id\": 122,\n          \"name\": \"KARACHI CANTT\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Cantt, Karachi\",\n          \"short_code\": \"KHI-CNT\",\n          \"city_code\": \"KHI\",\n          \"city\": \"Karachi (کراچی)\"\n        },\n        {\n          \"id\": 251,\n          \"name\": \"Al Imdad Saddar Stop\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Burhan center quetta adda saddar\",\n          \"short_code\": \"KHI-SAD\",\n          \"city_code\": \"KHI\",\n          \"city\": \"Karachi (کراچی)\"\n        },\n        {\n          \"id\": 264,\n          \"name\": \"Nooriabad Karachi\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Nooriabad Interchange, Karachi\",\n          \"short_code\": \"KHI-NB\",\n          \"city_code\": \"KHI\",\n          \"city\": \"Karachi (کراچی)\"\n        },\n        {\n          \"id\": 120,\n          \"name\": \"KARACHI AL-ASIF\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Al Asif, Karachi\",\n          \"short_code\": \"KHI-ASIF\",\n          \"city_code\": \"KHI\",\n          \"city\": \"Karachi (کراچی)\"\n        }\n      ]\n    },\n    {\n      \"id\": 30,\n      \"name\": \"Ahmed Pur (احمد پور)\",\n      \"short_code\": \"APE\",\n      \"terminals\": [\n        {\n          \"id\": 63,\n          \"name\": \"AHMED PUR EAST\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Food Club, Ahmedpur Petroleum Station, Near Toll Plaza\",\n          \"short_code\": \"APE\",\n          \"city_code\": \"APE\",\n          \"city\": \"Ahmed Pur (احمد پور)\"\n        }\n      ]\n    },\n    {\n      \"id\": 31,\n      \"name\": \"Bahawalpur (بہاولپور)\",\n      \"short_code\": \"BAH\",\n      \"terminals\": [\n        {\n          \"id\": 288,\n          \"name\": \"Bahawalpur AC bus stand\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Bahawalpur Ac Bus Terminal Stand number 8  \",\n          \"short_code\": \"BAH-ACBT\",\n          \"city_code\": \"BAH\",\n          \"city\": \"Bahawalpur (بہاولپور)\"\n        },\n        {\n          \"id\": 6,\n          \"name\": \"BAHAWALPUR\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Opp. Sadiq Public School, Ahmed Pur Road, Dera Nawab Sahib Road, Near NLC\",\n          \"short_code\": \"BAH\",\n          \"city_code\": \"BAH\",\n          \"city\": \"Bahawalpur (بہاولپور)\"\n        },\n        {\n          \"id\": 270,\n          \"name\": \"Bahawalpur Faisal Mover Terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Opp. SadiqPublic School, Ahmed Pur Road, Dera Nawab Sahib Road, near NLC.\",\n          \"short_code\": \"BAH-FM\",\n          \"city_code\": \"BAH\",\n          \"city\": \"Bahawalpur (بہاولپور)\"\n        }\n      ]\n    },\n    {\n      \"id\": 32,\n      \"name\": \"Daska (ڈسکہ)\",\n      \"short_code\": \"DSK\",\n      \"terminals\": [\n        {\n          \"id\": 59,\n          \"name\": \"DASKA\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Gujranwala, Opposite Star CNG, Near Canal Bridge\",\n          \"short_code\": \"DSK\",\n          \"city_code\": \"DSK\",\n          \"city\": \"Daska (ڈسکہ)\"\n        }\n      ]\n    },\n    {\n      \"id\": 33,\n      \"name\": \"Dera Ghazi Khan (ڈیرہ غازی خان)\",\n      \"short_code\": \"DGK\",\n      \"terminals\": [\n        {\n          \"id\": 168,\n          \"name\": \"Faisal Movers Bus Terminal, Dera Ghazi Khan\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Afridi Bazar, Pyary Wala Pul\",\n          \"short_code\": \"DGK-AB\",\n          \"city_code\": \"DGK\",\n          \"city\": \"Dera Ghazi Khan (ڈیرہ غازی خان)\"\n        },\n        {\n          \"id\": 221,\n          \"name\": \"City Linker Bus Stand DG Khan\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Pyaare Wala Pull City Linkers DG Khan\",\n          \"short_code\": \"DGK-PWP\",\n          \"city_code\": \"DGK\",\n          \"city\": \"Dera Ghazi Khan (ڈیرہ غازی خان)\"\n        },\n        {\n          \"id\": 14,\n          \"name\": \"DERA GHAZI KHAN\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Moza Ghadai Shumali, Near New General Bus Stand\",\n          \"short_code\": \"DGKH\",\n          \"city_code\": \"DGK\",\n          \"city\": \"Dera Ghazi Khan (ڈیرہ غازی خان)\"\n        }\n      ]\n    },\n    {\n      \"id\": 34,\n      \"name\": \"Dera Ismail Khan (ڈیرہ اسماعیل خان)\",\n      \"short_code\": \"DIK\",\n      \"terminals\": [\n        {\n          \"id\": 219,\n          \"name\": \"Dera Ismail Khan\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"New Khan Terminal Circular Road, Near State Life Building\",\n          \"short_code\": \"DIK-NKT\",\n          \"city_code\": \"DIK\",\n          \"city\": \"Dera Ismail Khan (ڈیرہ اسماعیل خان)\"\n        },\n        {\n          \"id\": 20,\n          \"name\": \"DERA ISMAIL KHAN\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Opp. Khan Plaza, Bannu Road\",\n          \"short_code\": \"DIKH\",\n          \"city_code\": \"DIK\",\n          \"city\": \"Dera Ismail Khan (ڈیرہ اسماعیل خان)\"\n        }\n      ]\n    },\n    {\n      \"id\": 35,\n      \"name\": \"Dharki (ڈھرکی)\",\n      \"short_code\": \"DHR\",\n      \"terminals\": [\n        {\n          \"id\": 48,\n          \"name\": \"DHARKI\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Sattar CNG, Bypass Road, Daharki Distt. Ghotki\",\n          \"short_code\": \"DHR\",\n          \"city_code\": \"DHR\",\n          \"city\": \"Dharki (ڈھرکی)\"\n        }\n      ]\n    },\n    {\n      \"id\": 36,\n      \"name\": \"Khan Pur (خان پور)\",\n      \"short_code\": \"KPR\",\n      \"terminals\": [\n        {\n          \"id\": 292,\n          \"name\": \"Allah Khyer chowk terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Allah khyer chowk/Nawakot Chowk\",\n          \"short_code\": \"KPR-AKC\",\n          \"city_code\": \"KPR\",\n          \"city\": \"Khan Pur (خان پور)\"\n        },\n        {\n          \"id\": 75,\n          \"name\": \"KHAN PUR\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Attock Petroleum, Quaid-e-Millat Road Bypass\",\n          \"short_code\": \"KPUR\",\n          \"city_code\": \"KPR\",\n          \"city\": \"Khan Pur (خان پور)\"\n        }\n      ]\n    },\n    {\n      \"id\": 37,\n      \"name\": \"Khanewal (خانیوال)\",\n      \"short_code\": \"KHW\",\n      \"terminals\": [\n        {\n          \"id\": 266,\n          \"name\": \"MAIN LAHORE MORE MULTAN\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Main Lahore Mor Multan G.T Road Faisal Movers Khanewal\",\n          \"short_code\": \"KHW-MLMM\",\n          \"city_code\": \"KHW\",\n          \"city\": \"Khanewal (خانیوال)\"\n        },\n        {\n          \"id\": 4,\n          \"name\": \"Khanewal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Daewoo Express Khanewal, Lahore Morr, Khanewal-Kabirwala Road\",\n          \"short_code\": \"KHW\",\n          \"city_code\": \"KHW\",\n          \"city\": \"Khanewal (خانیوال)\"\n        }\n      ]\n    },\n    {\n      \"id\": 38,\n      \"name\": \"Kohat (کوہاٹ)\",\n      \"short_code\": \"KHT\",\n      \"terminals\": [\n        {\n          \"id\": 274,\n          \"name\": \"Kohat University Chowk\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Kohat University Chowk\",\n          \"short_code\": \"KHT-UC\",\n          \"city_code\": \"KHT\",\n          \"city\": \"Kohat (کوہاٹ)\"\n        },\n        {\n          \"id\": 39,\n          \"name\": \"KOHAT\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Rawalpindi Road, Near Highway, Opp. Engineering University\",\n          \"short_code\": \"KHT\",\n          \"city_code\": \"KHT\",\n          \"city\": \"Kohat (کوہاٹ)\"\n        }\n      ]\n    },\n    {\n      \"id\": 39,\n      \"name\": \"Okara City (اوکاڑہ سٹی)\",\n      \"short_code\": \"OKR\",\n      \"terminals\": [\n        {\n          \"id\": 3,\n          \"name\": \"Okara Cantt\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": null,\n          \"short_code\": \"OKR-CANTT\",\n          \"city_code\": \"OKR\",\n          \"city\": \"Okara City (اوکاڑہ سٹی)\"\n        },\n        {\n          \"id\": 239,\n          \"name\": \"Okara Bus Stand\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Faisal Movers Bus Terminal General Bus Stand Okara\",\n          \"short_code\": \"OKR-FMB\",\n          \"city_code\": \"OKR\",\n          \"city\": \"Okara City (اوکاڑہ سٹی)\"\n        },\n        {\n          \"id\": 52,\n          \"name\": \"OKARA CITY\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Food Valley Marriage Lawn, G.T. Road\",\n          \"short_code\": \"OKRC\",\n          \"city_code\": \"OKR\",\n          \"city\": \"Okara City (اوکاڑہ سٹی)\"\n        }\n      ]\n    },\n    {\n      \"id\": 40,\n      \"name\": \"Peshawar (پشاور)\",\n      \"short_code\": \"PEW\",\n      \"terminals\": [\n        {\n          \"id\": 25,\n          \"name\": \"PESHAWAR\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Opp G Bus Stand, GT Road Peshawar City\",\n          \"short_code\": \"PSH\",\n          \"city_code\": \"PEW\",\n          \"city\": \"Peshawar (پشاور)\"\n        },\n        {\n          \"id\": 222,\n          \"name\": \"Sadabahar Peshawar Adda\",\n          \"latitude\": 31.571357314523212,\n          \"longitude\": 74.33430381534146,\n          \"address\": \"Hajji Camp, Lahore Adda, GT Road\",\n          \"short_code\": \"PEW-HC\",\n          \"city_code\": \"PEW\",\n          \"city\": \"Peshawar (پشاور)\"\n        }\n      ]\n    },\n    {\n      \"id\": 41,\n      \"name\": \"Mardan (مردان)\",\n      \"short_code\": \"MRD\",\n      \"terminals\": [\n        {\n          \"id\": 74,\n          \"name\": \"RASHAKAI\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"\",\n          \"short_code\": \"RSK\",\n          \"city_code\": \"MRD\",\n          \"city\": \"Mardan (مردان)\"\n        },\n        {\n          \"id\": 234,\n          \"name\": \"Mardan College Chowk\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Sadat Travel\",\n          \"short_code\": \"MRD-BS\",\n          \"city_code\": \"MRD\",\n          \"city\": \"Mardan (مردان)\"\n        }\n      ]\n    },\n    {\n      \"id\": 42,\n      \"name\": \"Sadiqabad (صادق آباد)\",\n      \"short_code\": \"SAQ\",\n      \"terminals\": [\n        {\n          \"id\": 216,\n          \"name\": \"Makka Coach Sadiqabad Point\",\n          \"latitude\": 28.300002281275436,\n          \"longitude\": 70.10117952883536,\n          \"address\": \"Sadiqabad General Bus Stand\",\n          \"short_code\": \"SAQ-GBS\",\n          \"city_code\": \"SAQ\",\n          \"city\": \"Sadiqabad (صادق آباد)\"\n        },\n        {\n          \"id\": 7,\n          \"name\": \"SADIQABAD\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"KLP Road, Tehsil Sadiqabad Dist\",\n          \"short_code\": \"SAQ\",\n          \"city_code\": \"SAQ\",\n          \"city\": \"Sadiqabad (صادق آباد)\"\n        }\n      ]\n    },\n    {\n      \"id\": 43,\n      \"name\": \"Sahiwal (ساہیوال)\",\n      \"short_code\": \"SAW\",\n      \"terminals\": [\n        {\n          \"id\": 181,\n          \"name\": \"Sahiwal Faisal Mover Terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Faisal Movers Bus Terminal Sea Rose Hotel\",\n          \"short_code\": \"SAW-FM\",\n          \"city_code\": \"SAW\",\n          \"city\": \"Sahiwal (ساہیوال)\"\n        },\n        {\n          \"id\": 2,\n          \"name\": \"Sahiwal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Daewoo Terminal, Near the Bank of Punjab, Arifwala Chowk, Multan Road\",\n          \"short_code\": \"SAHW\",\n          \"city_code\": \"SAW\",\n          \"city\": \"Sahiwal (ساہیوال)\"\n        }\n      ]\n    },\n    {\n      \"id\": 44,\n      \"name\": \"Sialkot (سیالکوٹ)\",\n      \"short_code\": \"SIAL\",\n      \"terminals\": [\n        {\n          \"id\": 220,\n          \"name\": \"General Bus Stand Sialkot\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Bilal Travels General Bus Stand\",\n          \"short_code\": \"SIAL-GBS\",\n          \"city_code\": \"SIAL\",\n          \"city\": \"Sialkot (سیالکوٹ)\"\n        },\n        {\n          \"id\": 230,\n          \"name\": \"Sialkot\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Bilal Travellers Lari Adda\",\n          \"short_code\": \"SIAL-BTBS\",\n          \"city_code\": \"SIAL\",\n          \"city\": \"Sialkot (سیالکوٹ)\"\n        },\n        {\n          \"id\": 31,\n          \"name\": \"SIALKOT\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Garrison Park Near Jail Road, Skt Cantonment Opp. GTS\",\n          \"short_code\": \"SIAL\",\n          \"city_code\": \"SIAL\",\n          \"city\": \"Sialkot (سیالکوٹ)\"\n        }\n      ]\n    },\n    {\n      \"id\": 45,\n      \"name\": \"Sukkur (سکھر)\",\n      \"short_code\": \"SUK\",\n      \"terminals\": [\n        {\n          \"id\": 199,\n          \"name\": \"Military Bypass Terminal Sukkur\",\n          \"latitude\": 27.696615340691864,\n          \"longitude\": 68.84038972883533,\n          \"address\": \"Main Bypass, Military Road\",\n          \"short_code\": \"SUK-MBP\",\n          \"city_code\": \"SUK\",\n          \"city\": \"Sukkur (سکھر)\"\n        },\n        {\n          \"id\": 153,\n          \"name\": \"Sukkur Office\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Ayub Gate Sukkur City\",\n          \"short_code\": \"SUK-SO\",\n          \"city_code\": \"SUK\",\n          \"city\": \"Sukkur (سکھر)\"\n        },\n        {\n          \"id\": 10,\n          \"name\": \"SUKKUR\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Plot no.1028 adjesent Edhi center, Baber Loi rohri By Pass, NHA. Sukkur\",\n          \"short_code\": \"SUK\",\n          \"city_code\": \"SUK\",\n          \"city\": \"Sukkur (سکھر)\"\n        }\n      ]\n    },\n    {\n      \"id\": 46,\n      \"name\": \"Lakki Marwat (لکی مروت)\",\n      \"short_code\": \"LMR\",\n      \"terminals\": [\n        {\n          \"id\": 85,\n          \"name\": \"Lakki Marwat\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Gandi Chowk\",\n          \"short_code\": \"GDC\",\n          \"city_code\": \"LMR\",\n          \"city\": \"Lakki Marwat (لکی مروت)\"\n        }\n      ]\n    },\n    {\n      \"id\": 47,\n      \"name\": \"Gujranwala (گوجرانوالہ)\",\n      \"short_code\": \"GJW\",\n      \"terminals\": [\n        {\n          \"id\": 242,\n          \"name\": \"General Bus Stand Gujranwala\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"General Bus Stand Gujranwala\",\n          \"short_code\": \"GJW-GBS\",\n          \"city_code\": \"GJW\",\n          \"city\": \"Gujranwala (گوجرانوالہ)\"\n        },\n        {\n          \"id\": 34,\n          \"name\": \"GUJRANWALA\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Next to Rescue Office 1122, Near Qutab Autos, Ad More Petrol Pump\",\n          \"short_code\": \"GJW\",\n          \"city_code\": \"GJW\",\n          \"city\": \"Gujranwala (گوجرانوالہ)\"\n        }\n      ]\n    },\n    {\n      \"id\": 48,\n      \"name\": \"Balkasar (بلکاسر)\",\n      \"short_code\": \"BLK\",\n      \"terminals\": [\n        {\n          \"id\": 137,\n          \"name\": \"Kainat Travels Balkasar Terminal\",\n          \"latitude\": 32.93807558341974,\n          \"longitude\": 72.64768583068287,\n          \"address\": \"Shaheen CNG, Balkasar\",\n          \"short_code\": \"BLK-KT\",\n          \"city_code\": \"BLK\",\n          \"city\": \"Balkasar (بلکاسر)\"\n        }\n      ]\n    },\n    {\n      \"id\": 49,\n      \"name\": \"Naushahro Feroze (نوشہرو فیروز)\",\n      \"short_code\": \"NSF\",\n      \"terminals\": [\n        {\n          \"id\": 149,\n          \"name\": \"Naushahro Feroze Terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Naushahro Feroze Bypass\",\n          \"short_code\": \"NSF\",\n          \"city_code\": \"NSF\",\n          \"city\": \"Naushahro Feroze (نوشہرو فیروز)\"\n        }\n      ]\n    },\n    {\n      \"id\": 50,\n      \"name\": \"Larkana (لاڑکانہ)\",\n      \"short_code\": \"LRK\",\n      \"terminals\": [\n        {\n          \"id\": 200,\n          \"name\": \"Larkana\",\n          \"latitude\": 27.563320966730146,\n          \"longitude\": 68.19290394232928,\n          \"address\": \"PTS Police Station Larkana Road\",\n          \"short_code\": \"LRK-PTS\",\n          \"city_code\": \"LRK\",\n          \"city\": \"Larkana (لاڑکانہ)\"\n        },\n        {\n          \"id\": 151,\n          \"name\": \"Larkana Terminal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Hameed Petroleum New Bus Stand Larkana\",\n          \"short_code\": \"LRK\",\n          \"city_code\": \"LRK\",\n          \"city\": \"Larkana (لاڑکانہ)\"\n        }\n      ]\n    },\n    {\n      \"id\": 51,\n      \"name\": \"Danda Sha Bilawal (ڈنڈا شاہ بلاول)\",\n      \"short_code\": \"DSB\",\n      \"terminals\": [\n        {\n          \"id\": 158,\n          \"name\": \"Danda Sha Bilawal\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": null,\n          \"short_code\": \"DSB\",\n          \"city_code\": \"DSB\",\n          \"city\": \"Danda Sha Bilawal (ڈنڈا شاہ بلاول)\"\n        }\n      ]\n    },\n    {\n      \"id\": 52,\n      \"name\": \"Ghotki (گھوٹکی)\",\n      \"short_code\": \"GTK\",\n      \"terminals\": [\n        {\n          \"id\": 156,\n          \"name\": \"Ghotki\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": null,\n          \"short_code\": \"GTK\",\n          \"city_code\": \"GTK\",\n          \"city\": \"Ghotki (گھوٹکی)\"\n        }\n      ]\n    },\n    {\n      \"id\": 53,\n      \"name\": \"Naudero (نوڈیرو)\",\n      \"short_code\": \"NDR\",\n      \"terminals\": [\n        {\n          \"id\": 157,\n          \"name\": \"Naudero\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": null,\n          \"short_code\": \"NDR\",\n          \"city_code\": \"NDR\",\n          \"city\": \"Naudero (نوڈیرو)\"\n        }\n      ]\n    },\n    {\n      \"id\": 54,\n      \"name\": \"Tarhada (ترہڈا)\",\n      \"short_code\": \"TRD\",\n      \"terminals\": [\n        {\n          \"id\": 133,\n          \"name\": \"Tarhada\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": null,\n          \"short_code\": \"TRD\",\n          \"city_code\": \"TRD\",\n          \"city\": \"Tarhada (ترہڈا)\"\n        }\n      ]\n    },\n    {\n      \"id\": 55,\n      \"name\": \"Talagang (تلہ گنگ)\",\n      \"short_code\": \"TLG\",\n      \"terminals\": [\n        {\n          \"id\": 30,\n          \"name\": \"TALAGANG\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": \"Near Bus Stand Ward No. 4\",\n          \"short_code\": \"TLG\",\n          \"city_code\": \"TLG\",\n          \"city\": \"Talagang (تلہ گنگ)\"\n        }\n      ]\n    },\n    {\n      \"id\": 56,\n      \"name\": \"Samundri (سمندری)\",\n      \"short_code\": \"SDR\",\n      \"terminals\": [\n        {\n          \"id\": 159,\n          \"name\": \"Samundri\",\n          \"latitude\": null,\n          \"longitude\": null,\n          \"address\": null,\n          \"short_code\": \"SDR\",\n          \"city_code\": \"SDR\",\n          \"city\": \"Samundri (سمندری)\"\n        }\n      ]\n    }\n  ]"
    ;

    public function run(): void
    {
        //
        DB::statement('SET FOREIGN_KEY_CHECKS=0;');
        DB::table('terminals')->truncate();
        DB::table('cities')->truncate();
        DB::statement('SET FOREIGN_KEY_CHECKS=1;');

        $citiesArray = json_decode($this->data, true);
        foreach ($citiesArray as $value) {
            # code...
            $city = City::create([
                'name' => $value['name'],
                'short_code' => $value['short_code'],
            ]);

            foreach ($value['terminals'] as $terminalValue) {
                Terminals::create([
                    'name' => $terminalValue['name'],
                    'latitude' => isset($terminalValue['latitude']) ? $terminalValue['latitude'] : null,
                    'longitude' => isset($terminalValue['longitude']) ? $terminalValue['longitude'] : null,
                    'address' => isset($terminalValue['address']) ? $terminalValue['address'] : null,
                    'short_code' => $terminalValue['short_code'],
                    'city_code' => $terminalValue['city_code'],
                    'city' => $terminalValue['city'],
                    'city_id' => $city->city_id,
                ]);
            }
        }
    }
}
